commit 871813a22db1b03adcbf4f5dc4ea9eb29f12a36d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-23 20:25:14 +0900

    NEWS: Document changes for 1.0.31 release

commit b21f1cfd2748979b4e036575293a18eba28bf685
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-23 15:15:13 +0900

    Revert spurious source code file reference changes in !512

commit a2075317e38502dd2eb9058d54015e9faecf8a56
Merge: 8f19b77f45e9 d65d121e6d2a
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-20 19:55:50 +0000

    Merge branch '38-macos-device-0x03f0-0x1305-at-020-002-is-not-configured' into 'release/1.0.31'

    Resolve "[macOS] device 0x03f0/0x1305 at 020:002 is not configured"

    See merge request sane-project/backends!504

commit d65d121e6d2ab48832e1b4f9d2172a500cfabbfa
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 09:55:47 +0000

    Use SANEI_ALLOW_UNCONFIGURED_DEVICES macro to skip test of unconfigured devices instead of platform test.

commit 8f19b77f45e955345da7cfc2ae48777009203ec7
Merge: 80643db457d1 48fee0b33f4b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-20 10:07:25 +0000

    Merge branch 'release/1.0.31' into 'release/1.0.31'

    Italian translation update

    See merge request sane-project/backends!512

commit 48fee0b33f4b9b998be27857d9239da5049820c4
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   2020-08-19 12:07:30 +0200

    Italian translation update

commit 80643db457d1893cd39bd333ff3bb08fb145f3e6
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-15 14:29:18 +0200

    pixma: MP495 is working

    Pixma backend supports only symmetric scan resolutions, here 600dpi.

    See issue sane-project/backends#32

commit 7ac9296a1940b81372e46ac2e94126792fa87985
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 19:58:15 +0200

    pixma: backend version 0.28.5

commit 3113d546c893ad9c8b4a3d7245e083272db8f6db
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 20:27:06 +0200

    Revert "pixma: MP490 Series doesn't need special image formatting @ high dpi"

    This reverts commit 1675697366e0d69edf1e413265c6fc15e6f3ab97.

    See issue sane-project/backends#338

commit e76b1e4863a23de7d740a46738af762c66935349
Merge: 0d5ea59d4378 743290300a22
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-12 00:36:57 +0000

    Merge branch 'for-upstream/avision_fix_fastfeed' into 'release/1.0.31'

    backend/avision: fix lock-up of scanners not supporting fastfeed

    See merge request sane-project/backends!505

commit 743290300a2269398b2c6986eaa603ae73c75526
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2020-08-10 19:26:24 +0200

    backend/avision: fix lock-up of scanners not supporting fastfeed

    de19ebc introduced a regression, where some scanners would lock-up
    completely and require a full power cycle.

    To fix that, do not call release_unit for any scanners not supporting
    fastfeed for now, since that leads to lock-ups on at least one device.
    Currently, it isn't clear what exactly is causing the problems, so it
    maybe be enabled in a correct way again, later.

    Resolves issue !337.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 0d5ea59d43780e5fc22238f3929e5ccd968a5587
Merge: 4a4199c33033 0082a9af569a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 21:09:40 +0000

    Merge branch 'german-translation-revision' into 'release/1.0.31'

    Update German translation

    See merge request sane-project/backends!487

commit 0082a9af569ad8f5a7ae719ac0c4d54c3dbd5469
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:52:45 +0200

    some translations need some rework

commit c1297cddfb54cca6a6cb506a1abbf106fb35f66a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:51:38 +0200

    rework some translations

commit 85fcab62f5a0bf140e2fd9f85cf4af4cd26d597c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:46:30 +0200

    translations start in capital letters

commit 66e3e318afc5452c7c9d3f7b4e4589cb6d8770b8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:41:33 +0200

    remove outdated translations

commit 5e07b8ad0be1df462439ecfea5227913cf5f9865
Merge: 3ab937a3f171 4a4199c33033
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-08 14:15:23 +0200

    Merge branch 'release/1.0.31' into german-translation-revision

commit 4a4199c33033e786260f88866245b4322266dee1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-08 13:51:25 +0200

    pixma: E410 Series is working

    See issue sane-project/backends#334

commit 3f1fea952c46d0a07222a5154c8a5f0d45cb325a
Merge: f23107f43d97 5447fd3d375d
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 11:50:35 +0000

    Merge branch '293-epson-perfection-3590-photo' into 'release/1.0.31'

    Resolve "Epson Perfection 3590 Photo"

    See merge request sane-project/backends!503

commit 5447fd3d375d40b1e589171f2619f347974f7637
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 09:25:01 +0000

    Added "PHOTO" suffix to some Epson scanners to have unified model names across backends.

commit f23107f43d974c692c2c6750db910e8c6f82b97c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 21:46:21 +0900

    I18N: Update metadata (version, date, last translator)

commit e7ab1b620fbdef94268c7d5af8911fde97457874
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 21:45:42 +0900

    I18N: Sync message catalogs with current code.

commit ddf30425462a97c7928d4b8608e7e5062e50e1ef
Merge: d289b42ad736 823176c0fe99
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 12:15:21 +0000

    Merge branch 'undefined' into 'release/1.0.31'

    Update Ukrainian translation

    See merge request sane-project/backends!493

commit 823176c0fe9957cfa0c71915f99937af73379691
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-07-22 12:37:35 +0000

    Update Ukrainian translation

commit d289b42ad736ca68a7f2e89ae23fa5217c293417
Merge: 7a3e090efcc2 72d09e0bfa01
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-08-01 12:10:17 +0000

    Merge branch 'p208ii' into 'master'

    canon_dr: update P-208II status, add second mode

    See merge request sane-project/backends!499

commit 72d09e0bfa015e2ff899cc5ff53c4da737a90b00
Author: Florian Klink <flokli@flokli.de>
Date:   2020-07-29 15:01:19 +0200

    canon_dr: update P-208II status, add second mode

commit 7a3e090efcc2682a14d476cec8b198e97cd70b1c
Merge: 7056b4826b28 d90b9e0292ef
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 06:15:30 +0000

    Merge branch 'master' into 'master'

    Mark PLANon DocuPen RC800 as supported by gPhoto2.

    See merge request sane-project/backends!489

commit d90b9e0292ef8347d7ec3c0d805a20d77fd48fc0
Author: Ondrej Zary <ondrej@zary.sk>
Date:   2020-07-04 13:38:07 +0200

    Mark PLANon DocuPen RC800 as supported by gPhoto2.

    Docupen RC800 support was merged into libgphoto:
    https://github.com/gphoto/libgphoto2/pull/533

commit 7056b4826b28d9b509a60f52f9bfe11d4932d761
Merge: a277ea5ff1f4 9793d4f64eaf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 06:14:15 +0000

    Merge branch 'mingw-fixes' into 'master'

    MinGW build fixes

    See merge request sane-project/backends!483

commit 9793d4f64eaffff57e02c2247830b4eaf595d7b5
Author: Michael Cronenworth <mike@cchtml.com>
Date:   2020-06-17 17:24:55 -0500

    MinGW build fixes

    - Fix define check on S_IFSOCK, looked like a typo
    - Need a define check around syslog usage
    - libdll_preload already has sanei_usb symbols and linking fails with
      duplicate symbol errors if this is left in

commit a277ea5ff1f407ff208c413c7e619f3e9b32093e
Merge: e44672cdf8d4 8e21bd58063f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 03:45:15 +0000

    Merge branch '279-issue02-null-pointer-deref-epsonds_net_read' into 'master'

    Resolve "memory corruption bugs in libsane"

    See merge request sane-project/backends!500

commit 8e21bd58063fa3c2807025b6d7c932283788158a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-08 21:02:32 +0900

    epsonds: Read whole payload of welcome message

commit 6c07abf763bcb99d1fa419b999b1e4551990dea6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 19:45:42 +0900

    epsonds: Rewrite network I/O

    This follows the changes made to the epson2 backend and addresses
    GHSL-2020-079, GHSL-2020-080 and GHSL-2020-081.  Re #279.

commit e44672cdf8d4d8c2636ceca6b0f73710dbd22195
Merge: be666bb03762 df451265125a
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-08-01 01:10:17 +0000

    Merge branch 'canon_dr/fix_get_pixelsize' into 'master'

    canon_dr: Report early error

    See merge request sane-project/backends!333

commit df451265125a0ed8eb0c58690f8bb537a4694a27
Author: Denis West <denis.perez@smartmatic.com>
Date:   2020-02-13 11:06:55 -0500

    canon_dr: Report early error

    Exits get_pixelsize function when error is detected on previous
    operation, avoiding unnecessary retries and reporting the correct
    error code.

commit be666bb03762116932e4c66c9af60c1b22ba5e70
Merge: 08790ef7cb7f 5dd9eeb0837b
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-27 14:38:12 +0000

    Merge branch '6-gt68xx-scanimage-batch-segfault' into 'master'

    Resolve "gt68xx scanimage --batch segfault"

    Closes #6

    See merge request sane-project/backends!498

commit 5dd9eeb0837b8fdef3c3f75a5d518616680fdcc4
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 11:19:31 -0700

    gt68xx: Restore cancel "stop_scan" call and fix whitespace issue

    The original issue that I had with this patch was in the cancel function
    where the patch author had commented out the "stop scan" call for cancel.
    This made no sense to me. I have put it back in for testing.
    It might have been accidentally left out.

commit 462419cc68e1469ca5426f6c82dc17d9b1bd2a88
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 11:02:40 -0700

    gt68xx: Initial check-in of proposed patch for crash.

    Ulf and I will review and test this patch on this branch.
    It does seem to fix the issue, but I want to check it out a little more
    before we commit it to master.

commit 08790ef7cb7f15f2c925b22af8fd14fa5c631bef
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-07-27 12:45:07 +0200

    lide 600 support promised in man-page

commit 1b9e7016053e2b5dbb96ad255b8d16b3f4d5fd5d
Merge: f29bbab5facd 1bd4fc283a08
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-26 17:53:48 +0000

    Merge branch 'en_GB-translations-update' into 'master'

    po: Updated en_GB translations.

    See merge request sane-project/backends!497

commit 1bd4fc283a08117bceb51e6613831fa6d4412dfd
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 10:35:04 -0700

    po: Updated en_GB translations.

commit f29bbab5facd85f376b6e60fb20db83444064932
Merge: 21a3bfad71eb 37bc4598a249
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-26 17:19:15 +0000

    Merge branch 'hp5400-fix-option-warning-bug' into 'master'

    hp5400: initialize options bit mask to avoid compiler warning and glitchy operation

    See merge request sane-project/backends!496

commit 37bc4598a24993e8aa69aa9e9381c8b5382a34d7
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 10:00:48 -0700

    hp5400: initialize options bit mask to avoid compiler warning and glitchy operation

    This was picked up as a compiler warning in Ubuntu build and was a
    real functional issue.

commit 21a3bfad71eb28f61815d9cc4935d7de38e500db
Merge: 890eb452b9d3 7f8acc85341a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 12:20:04 +0000

    Merge branch 'for-upstream/backend_avision_i1120' into 'master'

    backend/avision: support for Kodak i1120

    See merge request sane-project/backends!19

commit 7f8acc85341a8228b53991e63fee106e223f8ed1
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 16:05:08 +0100

    backend/avision: i1120: add description entry

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e8ae2ca16f57cc13af2efe2a2c7c9c84c36a20ac
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 14:48:55 +0100

    backend/avision: fix: use fabs instead of abs for double values

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit fa6dfcc44e770fee8ad3e772ab88fdbea9990ec7
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 11:38:01 +0100

    backend/avision: i1120: finally set correct offsets for duplex

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 7d7184a209007731b41985b91de716f9fd177302
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 09:39:08 +0100

    backend/avision: add missing offsets for bry

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 6a6927b198b3b6352e33165bebce808ed8a6900c
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-27 18:43:39 +0200

    backend/avision: implement ADF first-sheet offset compensation

    i1120 has another offset. When scanning in ADF multi-page mode (the
    default), the very first sheet is moved 1.5mm down. That leads to 1.5mm
    being cut off at the bottom.
    This implements the (hopefully last) offset setting for multi-sheet ADF
    scans.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e96ce8887e64b396789aacba73493ff642f6caa2
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-21 11:35:19 +0200

    backend/avision: add ADF front-only offset compensation

    This adds offset compensation for ADF front-only scans, which may
    have different offsets than ADF duplex scans.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 58a3cdd042a7668ced79f007235a519dbb471c52
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-14 18:54:40 +0200

    backend/avision: Rewrite offset compensation

    This is a complete rewrite of the offset compensation using a
    combination of overscan and line skipping. It replaces the option
    AV_REAR_OFFSET by specifying exact offset values for each scanner.
    This was needed for Kodak i1120 which needs bottom line skipping.
    The old implementation could not skip bottom lines since we could
    not know how many lines we will get in the end from ADF.
    The new implementation redirects the output file descriptor to a
    temporary file. After the current page is completely scanned,
    offsets are applied and the output is passed to the original
    output file descriptor.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit b4716f626435c2eb71ef31bbf977c1040399dff8
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-10-03 14:45:58 +0200

    backend/avision: i1120: Add option AV_MULTI_SHEET_SCAN

    Kodak i1120 has single-sheet and multi-sheet scan modes. This option sets
    bitset3[7] which enables multi-sheet scan by default so there is no pause
    of 1s between two sheets in ADF scan mode. This also fixes some offsets
    when scanning multiple sheets.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e54c9602e9fdd75611b8f0904d640168cd6414c4
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-10-01 18:10:09 +0200

    backend/avision: i1120: add option AV_GAMMA_UINT16

    Kodak i1120 has a different gamma table format that looks like a
    uint16/double array. Implement it and add an option for it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit d8bf3924244899ba0eb0af1aeafb949eb9ba67a6
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-30 18:35:31 +0200

    backend/avision: i1120: add option AV_GAMMA_10

    Kodak i1120 needs gamma to be set to 1.0 to give decent scan results.
    Add an option for this.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 886bf85d880d1eac4add0bc43da3768c2af6a217
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-30 18:18:41 +0200

    backend/avision: i1120: add option AV_NO_QCALIB_MODE

    i1120 does not have an explicit "quality-calibration" mode. Add an
    option to disable this mode.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit de19ebc61aff535edfb3e465a4a4d89f9b9e9dc2
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:35:55 +0200

    backend/avision: i1120: add option AV_FASTFEED_ON_CANCEL

    Some scanners like i1120 support fast feed-out of the sheet when
    cancelling a running scan. Add a new option for this release type.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 8b467b248ef8307d71b01d55aea868be35ec530c
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:58:24 +0200

    backend/avision: i1120: set AV_NO_REAR

    Kodak broke rear-only scan (bitset3[3]) when they modified the Avision
    firmware. It would be possible to add a work-around that drops front data and
    writes rear data only. Because of deinterlacing, offsets etc. this is way too
    complicated. The simpliest solution to scan rear-only is to turn around the
    paper stack and use front scan instead.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 692f87389b5e023d4b427c50762afb74cb6882c8
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:56:43 +0200

    backend/avision: i1120: add option AV_OVERSCAN_OPTDPI

    i1120 uses optical DPI for overscan calculation. Add an option for it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 74e94e69016c9b14f9ddde5789679c451d826980
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-21 21:25:11 +0200

    backend/avision: i1120: add option AV_NO_QSCAN_MODE

    i1120 does not have an explicit quality-scan mode. Add an option to disable it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit aff30cbb21d36bc43bf5a522c2c02dc6a0574c37
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-21 20:49:46 +0200

    backend/avision: ability[3] seems to be a typo since ability[2] is dark cal indicator

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit de1a873cb7020a7faa382e5f6b74cabe2c56dbd0
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 20:13:53 +0200

    backend/avision: i1120: use AV_SOFT_SCALE

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit c1c8ee8ea603652fee85c6dba824a82107e7ca7c
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 18:03:59 +0200

    backend/avision: i1120: Enable gray filter to match windows driver

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit f393f8f24688b0bdca7d14286728382455c31fb5
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-16 21:32:51 +0200

    backend/avision: i1120: add option AV_FORCE_CALIB

    Add option AV_FORCE_CALIB to force calibration when scanner claims it is
    not needed but it is.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 196ce0b046e4eb5960c7c108f57cce3562b0e88e
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 18:43:31 +0200

    backend/avision: Add basic support for KODAK i1120

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 890eb452b9d3eed5aba317c203d160f8607c3ccd
Merge: f06c18b7aebf 5683aab66bc7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 09:39:23 +0000

    Merge branch 'Add-gamma-tables-to-test-backend' into 'master'

    Add gamma test options

    See merge request sane-project/backends!301

commit 5683aab66bc704a884c2aa10589840d4ec020a56
Author: Kåre Särs <kare.sars@iki.fi>
Date:   2020-07-26 09:39:23 +0000

    Add gamma test options

commit f06c18b7aebf44de0aaa732a43e2163bd680187b
Merge: e7fc728e2867 8bb62701c1e8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 09:10:21 +0000

    Merge branch 'french-translation-revision' into 'master'

    Update French translation

    See merge request sane-project/backends!494

commit 8bb62701c1e841836b1ac3b038bacff33368eaec
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-07-24 21:53:26 +0000

    Update fr.po

commit 0ca69fdc2e3e3d2cb864ee8aefb1b2d42d63e583
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-07-24 12:33:25 +0200

    Update French translation

commit e7fc728e2867a25abdafe20ae7c57a17193eca18
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-07-18 21:12:52 -0400

    fujitsu: add USB IDs for fi-7800 and fi-7900

commit 8bdd27d149113a7e8cbea878829bb8adb3c09fab
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 19:36:17 +0200

    pixma: remove auto generated files @ 'make clean'

    See merge request sane-project/backends!491

commit e390b351a019b34c70b752d50bf97ea32c266070
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 18:02:11 +0200

    pixma: backend version 0.28.3

commit f1ebc352ae46730c8b31cfe4a4244217dc7c3f68
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 18:01:22 +0200

    pixma: update man page

commit bc814909961465e044f198f4581937865ece25e3
Merge: 7481254f1bed 1da5ae889a2a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 15:57:31 +0000

    Merge branch '302-pixma-status-of-pixma-tr-4500-series' into 'master'

    Resolve "pixma: Status of PIXMA TR 4500 Series"

    Closes #302

    See merge request sane-project/backends!485

commit 1da5ae889a2a389cdfdd0c7f4ecf8f4335d1d777
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 00:28:39 +0200

    pixma: add new button options

    some scanners return more options from push-button:
    document-type, adf-status and adf-orientation

commit b8cf6b4b49ff08111b153790fbd09608b995b219
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 19:56:55 +0200

    pixma: TR4500 Series is working

commit ec918e5c74ab4e787ea576135cd1a119513a8a29
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 19:43:10 +0200

    pixma: TR4500 Series supports max. 600dpi

commit 0febc8166584d3ecf58c3c39973408aeee67b658
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-23 23:00:36 +0200

    pixma: add button support for TR4500 Series

    this scanner provides additional button information

commit 1943d34d606d1a0aae22661d2517f57406692a3f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-23 22:49:56 +0200

    pixma: TR4500 Series returns JPEG images from ADF scans

commit 7481254f1bed0311fe25596421771a02f5b7ba59
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 17:13:06 +0200

    pixma: auto generate options files with python[23]

    see issue sane-project/backends#327

commit 7525fda505d3d12bc103954f4f4873c5d4d2ee94
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 20:15:43 +0200

    INSTALL.linux: add python to mandatory develop environment list

    See merge request sane-project/backends!491

commit 819cc8cd611f1e2670cfeb1e18bfa9f5cc7c5de8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 20:04:46 +0200

    pixma: add comment how to generate new pixma_sane_options.[ch]

commit 684efcef23283706ee69c80f8b2870d4e84ab382
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 19:51:26 +0200

    pixma: add "do not edit" comment on top of generated files

commit 8ad42d2967f3321a880c38a7e1dfbc9228022f95
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 19:46:56 +0200

    pixma: PIXMA TS5100 Series is working

    see issue sane-project/backends#325

commit ff1e8b85c9d21192e9c1f302272d8196109881ec
Merge: 537fbc9bf652 4a2cabe3be65
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-11 08:42:36 +0000

    Merge branch 'pixma-autogen_options' into 'master'

    pixma: auto generate sane options files

    See merge request sane-project/backends!491

commit 4a2cabe3be6593effa1004279e39a44f39f8e13f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-11 16:51:23 +0900

    pixma: Fix sane options file generation

    This now generates files in the source tree and includes them in the
    source tarball together with the script used.  Explicit dependencies
    are added to trigger generation.  Rules have been rewritten to use
    implicit variables for brevity.

commit b957674f65d65536458fd2ccb9e65294f4399f86
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 22:24:35 +0200

    pixma: auto generate sane options files

    This prevents from fixing stuff in generated files.

    Generated from pixma.c, bottom comment area.

commit 537fbc9bf652d2aad2eee1a70023682f6febe868
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 23:34:07 +0200

    pixma: backend version 0.28.2

commit 0b22eecf867c9d3701d96a19e2a6d8e19167336d
Merge: 37c597d8df18 8f93b4cc622c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 21:38:06 +0000

    Merge branch '318-canoscan-lide-400-potentially-supports-48-bit-depth' into 'master'

    Resolve "CanoScan LiDE 400 potentially supports 48-bit depth"

    Closes #318

    See merge request sane-project/backends!486

commit 8f93b4cc622c002b8b1dea63b1a210fc6dbfa210
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:36:25 +0200

    pixma_mp800: remove TODO for 16-bit scans

    mp800 scanners need min. 150dpi for 16-bit scans

commit 3a18629f1190d78c48241e061448d8d500a50c41
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:31:48 +0200

    pixma: in dpi list set min. scan resolution for 16-bit scans

commit 0f1850fe4fbb019f87aa62e94168b41a8faf459d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:30:28 +0200

    pixma: new parameter to set min. xdpi for 16-bit scans

    16-bit scans have different min. scan resolutions: 75 and 150dpi

commit b0efdd89cbb4a6869d03629a2b5fb6cee16f955a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 23:04:59 +0200

    pixma_mp150: scan 48bit color and convert

commit c4f0d4505e7d35185f675eadd90f8c8e1680eea8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-24 16:58:36 +0200

    pixma_mp150: enable 48bit support for LiDE 400

commit 3ab937a3f171a40ab117198074d726e7bda9036c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 13:42:04 +0200

    fix some translations

commit 463f833aa98da010ddf5b42f79e04f5bcf6599a2
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 13:35:08 +0200

    add missing translations

commit 6cc9fbdbbb98ef6780b25dc0f826224b5adc05ce
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 12:19:34 +0200

    update German translation from source

commit 37c597d8df18601e4b8f374cc99275b0aad85f99
Merge: 7e2361d42e2a b0c42c0f5f52
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-26 22:04:27 +0000

    Merge branch 'genesys-lide-90' into 'master'

    genesys: Add support for Canon CanoScan LiDE 90

    See merge request sane-project/backends!488

commit b0c42c0f5f525660dfc5ebe861ae0abb03ed744d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:20 +0300

    genesys: Implement support for LiDE 90

commit ea15fb29b73a3d90b0dc003e307a666caa3c5f3e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:19 +0300

    genesys: Simplify motor table upload on gl842

commit d948f5eb697de719183a445faacc22949a18f0f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:18 +0300

    genesys: Fix cis scanner support on gl842

commit 02782651a36bc43b2dd009dbb440bd2f41eec60e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:17 +0300

    genesys: Add model option to disable fast feeding

commit 86c15ff4a027163fc7955c8ee4cbeb507bb5d1b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:16 +0300

    genesys: Add option to fill dark calibration with constant

commit 6fdc5e6e1fd0b569cda494776b3d3054ee843d5f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:15 +0300

    genesys: Throw an exception when motor speed is too low

commit f6f891bd9387445f8176fffd02c60d1ad5114c77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:14 +0300

    genesys: Call update_home_sensor_gpio() for all chip types

commit 7e2361d42e2af44d29b395394abab9ebce0ad835
Merge: 278d2c236eda c5c9c6a9405c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-26 22:16:32 +0200

    Merge branch 'german-translation-revision'

commit c5c9c6a9405c126a3a26b1f80e3f53bb83c06e65
Author: Ulf Zibis <Ulf.Zibis@CoSoCo.de>
Date:   2020-01-13 23:34:08 +0100

    po/de.po: First batch of full blown revision (15% done)

commit 278d2c236eda1279d824ea458d0f8f58bbeeb0ea
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-26 21:37:21 +0200

    pixma: i-SENSYS MF4700 Series support is complete

    see issue sane-project/backends#262

commit 1a429257c136b066353c56658891790a9a616620
Author: Alex Belkin <abc@telekom.ru>
Date:   2020-06-25 19:07:59 +0300

    xerox_mfp: Mark M288x Series as unsupported

    Device is reported by @dominicjaeger.

    Also, reference sane-airscan as suggested in #317 by @alexpevzner.

commit 621e7dbf29fe18ad5e5bde4d24eb192ca5dec0b3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-06-24 20:34:13 +0900

    utsushi.desc: Sync with upstream

commit 7efeb82f16376a8f796a6ca516884de953595365
Merge: 8c9002772caf ce03cd0ad360
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-21 19:41:32 +0000

    Merge branch 'escl-add-hp-officejet-pro-8610' into 'master'

    Add HP officeJet Pro 8610

    See merge request sane-project/backends!484

commit ce03cd0ad360f7c6ffd373bb1d82674065fc52bd
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-21 21:19:24 +0200

    Add HP officeJet Pro 8610

commit 8c9002772caf7012383ea8e7bc7c9ef878b371cf
Merge: fa0d3886641b 6bb87fdf1f3d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-06-17 10:05:03 +0000

    Merge branch '314-sane-1-0-30-unable-to-compile-without-libusb' into 'master'

    Resolve "sane 1.0.30: unable to compile without libusb"

    Closes #314

    See merge request sane-project/backends!482

commit 6bb87fdf1f3dc190cfc4b7d64b0c8c8c3d10151b
Author: Ralph Little <skelband@gmail.com>
Date:   2020-06-14 08:09:44 -0700

    sanei: added missing include file stdint.h

commit fa0d3886641b5afd05c039156daf0ec801accbc3
Merge: 67a2fe57717a 5a8ee2bd5b1d
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-08 21:08:46 +0000

    Merge branch 'escl-add-model-hp' into 'master'

    Add 2 models HP.

    See merge request sane-project/backends!481

commit 5a8ee2bd5b1d8ac41ebd6f6436b078b0fa253bf8
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-08 22:30:16 +0200

    Add 2 models HP.

commit 67a2fe57717a896a5d4d01cbc038f94868c4c76d
Merge: af3acaf0303a 58c755d37400
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-07 13:56:32 +0000

    Merge branch 'add-model-working' into 'master'

    escl : Add model working

    See merge request sane-project/backends!480

commit 58c755d37400e6674fff12070fd6e9d63e6d8662
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 15:38:11 +0200

    Add model and mfg.

commit 76dfd392e3da6458ebe771c1f6b9467a94a604fa
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 13:46:47 +0200

    Fix style.

commit 7bd186acf0dad312991464cb52ae7007c0f8f901
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 13:39:19 +0200

    Ajout des premiers modèles identifiés et soutenus par l'escl.

commit af3acaf0303adadc27a65faacf327873c33a95a2
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 14:42:09 +0200

    pixma: G4000 Series is working

    See issue sane-project/backends#245

commit e859ea108ae4b0f3180c34cfc3043cb774345a98
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 13:16:54 +0200

    pixma: backend version 0.28.1

commit e58ccba918d0e9307941b0661f21226ced620abf
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 13:16:16 +0200

    pixma: TR8500 Series returns JPEG images from ADF scans

    See issue sane-project/backends#270

commit dc25c9f48dc0bf4d3c3ab6035fcda1cbc5cdab89
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:20:41 +0200

    pixma: backend version 0.28.0

commit d2ae0ee6970a9a3d57d8dd7d86fd3d947d7bdcb5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:17:51 +0200

    pixma: update coryright

commit 190f2874dbbce6b087fb78b2b57cc8d2e8569e29
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:17:24 +0200

    pixma man page: refer to scanimage and gamma4scanimage man pages

commit edace214b25766860dc3f71a4201fca9f052e5c4
Merge: b9b82f25e1e5 4b9dddb76365
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 20:58:07 +0000

    Merge branch 'pixma/gamma_table' into 'master'

    Pixma: fix internal generated gamma table

    See merge request sane-project/backends!295

commit 4b9dddb76365165070711e4b4f262a02dd9eefe1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 22:41:32 +0200

    remove debug outputs from send gamma table

commit 0118111c6fa935374800d1cf5cbb5f41d443712c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 22:07:19 +0200

    use capability to select gamma table size

commit 16ddd3b9722f628ae82d7fb742718b54b2d6daa7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:21:05 +0200

    get 1024 and 4096 size gamma tables from frontend

    Default gamma table has 1024 entries of 16 bits values. Only generation 1
    scanners need a gamma table with 4096 entries of 8 bits values.

commit 16ff7c0bba68e9c39a90ab4394a1adcebcfa8adf
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:17:15 +0200

    generate gamma table from control option

    we need to generate gamma table only once, after getting gamma from the frontend

commit 057aa02b34567ae51d828fdf9d054eec0aac1c58
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:04:25 +0200

    new capability for scanner generation 1 4096 bytes gamma table

commit 11126468ef880bf7f0ee6520247ac97ecdd59a9f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:02:01 +0200

    calculate 16-bit gamma table

    Generation 1 scanners need a 8-bit gamma table, with 4096 bytes size.
    All other scanners need a 16-bit gamma table, with 1024 bytes size. For
    these scanners values of the generated gamma table are close by the values
    used from the manufacturers proprietary driver.

commit 103c77ddee320d38620dcbfe933fb341dc08a657
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 15:26:20 +0200

    new global variable for gamma

    get gamma value from 'opt_gamma'

commit 24c016f40836dad746174711a7675833c8b9d278
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 15:12:46 +0200

    pixma_gen_options.py: fix print whitespace

commit b9b82f25e1e595260003e272ad0d354ffeeada08
Merge: 1486b81dd9e1 f52f4917e549
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-05 10:03:25 +0000

    Merge branch 'corrupted-data-image-with-scanimage' into 'master'

    Replacement of printf by DBG

    See merge request sane-project/backends!479

commit f52f4917e54941f4dcaf924afaf09e35dbf4ac6d
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-06-05 11:45:21 +0200

    Error syntax

commit 641c736c37ce8033d7084106893c58c2c2e7e122
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-06-05 10:20:21 +0200

    Replacement of printf by DBG.

commit 1486b81dd9e187f8b4ac893d0cdf55f344a71b26
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:21:44 +0200

    pixma: fix description of adf-wait

commit 4a5c7d6889c5a7361ea892ec1264a545e249c5a0
Merge: 9165864eef83 db20a613c37b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 04:20:44 +0000

    Merge branch 'ci-updates' into 'master'

    CI updates

    See merge request sane-project/backends!478

commit db20a613c37b4f4cd3fe109d93d2d9015eb2d06a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 13:04:03 +0900

    CI: Bump Alpine from 3.11 to 3.12

commit 299af98cb2bd21ac3aded75a2ad3ad03b7f94c67
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 13:02:14 +0900

    CI: Sync full set of configure options with ci-envs settings

commit 9165864eef83dd86e176c5ab266f06c0cf9ce95c
Merge: e1be18fbef07 96f60115dfee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 23:10:01 +0000

    Merge branch 'genesys-5600f' into 'master'

    genesys: Add support for 5600F

    See merge request sane-project/backends!477

commit 96f60115dfee4b9795b5d3101a3517271dcac2ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:23 +0300

    genesys: Bump calibration version

commit 970b831ffe94a4b2445aa749c35e49c40f4c35ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:22 +0300

    genesys: Remove a couple of no longer relevant links

commit 069d8a7db06379c185ce0d44931ea91c8f1bc00e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:21 +0300

    genesys: Mark 5600F support as complete

commit 23079e00612bc513a3414c80ad1d0853cfa255f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:20 +0300

    genesys: Increase timeout in wait_until_has_valid_words()

commit 3cca2593fc5bf1fc8afcf72c078ae14ef9d26eb4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:19 +0300

    genesys: Add support for Canon 5600F

commit b9e4113ef083f6d272a53a3d25055df5b66e0228
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:18 +0300

    genesys: Add functions to write to register according to mask

commit e1be18fbef070f0eebd1e4311c5065d06594f189
Merge: 7c378476e856 7c74cb7ce973
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:49:33 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!476

commit 7c74cb7ce9730315bf762a6b9619cc0f662f63a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:45 +0300

    genesys: Remove no longer used code

commit 8ec6bc2e5d1e2a8c18a293a553887ed288ab8280
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:44 +0300

    genesys: Deduplicate move_to_ta()

commit c4135d63a7d6f35b95b9bfab9f521b900460ea26
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:43 +0300

    genesys: Simplify move_to_ta() on gl843

commit bc973a21c25159e8d4f19a9b916602e645d6bba5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:42 +0300

    genesys: Simplify move_to_ta() on gl842

commit b8a24ee409e42dfce728d9f83de1f564418d8a9a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:41 +0300

    genesys: Remove useless debug statements

commit 57a398888d04f288e3c167e13a6a154c0a66ae80
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:40 +0300

    genesys: Deduplicate init_regs_for_scan()

commit 66ba92cfb6ea70a7cc4ec628365b67cd0c941462
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:39 +0300

    genesys: Don't throw exception in non-exceptional circumstances

commit 7c378476e856d739f9797c2b7e70b48ba1f71823
Merge: 64b69331d351 f3b04b374a7c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:30:48 +0000

    Merge branch 'genesys-gl847-transparency' into 'master'

    genesys: Implement transparency support on gl847

    See merge request sane-project/backends!475

commit f3b04b374a7c5f7814fa3822de22cd89c024a7ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:14:43 +0300

    genesys: Implement transparency support on gl847

commit 64b69331d351921f2d40ea662211f74b60b831b8
Merge: 786442d9c7b1 8a66829057e4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:29:03 +0000

    Merge branch 'genesys-misc-fixes' into 'master'

    genesys: Miscellaneous fixes

    See merge request sane-project/backends!474

commit 8a66829057e47cb6dd6ea5e00d7a097c9dd069a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:20 +0300

    genesys: Simplify access to nodes that are newly added to image pipeline

commit c9182dc6067279cf3cb153d97f5a5105d1a35308
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:19 +0300

    genesys: Ensure ImagePipelineStack nodes are destroyed in reverse order

commit 3282c5a65410055c7047d5642cc95da07ca50722
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:18 +0300

    genesys: Fix TIFF file writing

commit 786442d9c7b1ac14b5b2b030cae3664195772335
Merge: 6bf26b3882a9 ba91fc844d0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:26:23 +0000

    Merge branch 'genesys-pixel-offsets' into 'master'

    genesys: Pixel offset calculation adjustments

    See merge request sane-project/backends!473

commit ba91fc844d0c6aa5c2775e3a4add937368ba4a0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:52 +0300

    genesys: Fix start pixel calculation when optical resolution is not max

commit 56db2b988aed604036df855dcb9c201309d56a5e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:51 +0300

    genesys: Adjust host side calibration by shading pixel offset

commit 8a10e33a13929345ff32080199d8a4853bd01526
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:50 +0300

    genesys: Move all pixel adjustment calculations to a single function

commit 6bf26b3882a9e386a7b6ec095292c00754a084f5
Merge: 5e8583bc3151 b569e6cbb949
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:25:47 +0000

    Merge branch 'genesys-host-side-calibration' into 'master'

    genesys: Reimplement simplier host-side calibration

    See merge request sane-project/backends!472

commit b569e6cbb9492c90b9514db162689bd08702a4e1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:09:23 +0300

    genesys: Reimplement simplier host-side calibration

commit 5e8583bc3151dfab92eb1ae20d23844baf4ee43a
Merge: b7ec6da949b6 08613aad2677
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-25 12:05:14 +0000

    Merge branch 'remove-package-version-from-config' into 'master'

    gt68xx: Remove @PACKAGEVERSION@ from configuration filey

    See merge request sane-project/backends!471

commit 08613aad26776ef4bea41e5554a369ef9ed9403e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-25 20:48:35 +0900

    gt68xx: Remove @PACKAGEVERSION@ from configuration filey

commit b7ec6da949b6667199ffb9e164f0f2bea5e70e94
Merge: 3084c412695c 92bf0c6623c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 17:59:40 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!470

commit 92bf0c6623c765fa5d7b3fe504d3c6b1ecf5b99a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:26 +0300

    genesys: Remove broken interpolation support

commit 6a495f97253f6771f53ac0e9ff6bbe9e12745d77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:25 +0300

    genesys: Remove duplicate align_int_up()

commit e7e532200308d73dcc4cd7a3bede945f4944b5fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:24 +0300

    genesys: Remove dead code

commit 3084c412695c25108536c866ab883f0e4b95d3c6
Merge: 44ee9bf373b8 33fc7cfb29dd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:52:51 +0000

    Merge branch 'genesys-fix-parameters' into 'master'

    genesys: Retrieve output parameters out of the actual pipeline

    See merge request sane-project/backends!469

commit 33fc7cfb29dd153a71275bb6246405db8fc070e6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 18:18:15 +0300

    genesys: Retrieve output parameters out of the actual pipeline

commit 44ee9bf373b8643bd93dd643e5ad1999d326215a
Merge: 745a5c8b3870 a12083c8c44b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:35:41 +0000

    Merge branch 'genesys-remove-lineart' into 'master'

    genesys: Remove support for generating lineart within the backend

    See merge request sane-project/backends!468

commit a12083c8c44b7296fa98ecb83e8932d0f6bdeb05
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 17:48:33 +0300

    genesys: Remove support for generating lineart within the backend

commit 745a5c8b387043eee461e7be683b0a72c0e4fe57
Merge: ddeae7e8b0f3 a23d61c26bea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:19:16 +0000

    Merge branch 'genesys-simplify-pipeline' into 'master'

    genesys: Allow pipeline to be created without mutating device

    See merge request sane-project/backends!467

commit a23d61c26bea07f54f8f442c26f14decfef98203
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 16:42:41 +0300

    genesys: Allow pipeline to be created without mutating device

commit ddeae7e8b0f34e6822f83a4072e88dbfefe88e9b
Merge: d680724f9e1c 28e6ad89b8ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 13:52:19 +0000

    Merge branch 'genesys-simplify-buffers' into 'master'

    genesys: Simplify read buffer management

    See merge request sane-project/backends!466

commit 28e6ad89b8ca150db2f8a159be8c83b2288d466d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:12 +0300

    genesys: Simplify read buffer size calculation

commit ec5af182398c94d01741cd9d8d1ce0109903cfe1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:11 +0300

    genesys: Remove no longer used ImageBufferGenesysUsb

commit d172b9cc4d0f8d07c0075b3a0b29a2e97ebe6975
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:10 +0300

    genesys: Remove read buffer after image processing

commit f5af63326381a64aafe6e888fef564ae22b513ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:09 +0300

    genesys: Simplify data buffering in main image pipeline

commit 9873fdf92270b1e8a6cf688c8366583e350f6e1a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:08 +0300

    genesys: Don't read too much data when segment count is more than one

commit 55691ece2c651468b2f21b371037d2827c359b3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:07 +0300

    genesys: Merge ImagePipelineNodeBuffered{CallableSource and GenesysUsb}

commit 8981e583e20559c7e5dccbbeea7fbae114f826a8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:06 +0300

    genesys: Move math utilities to utilities.h

commit fe323f19cb9de8f02b7f8482cf9d1e6d437ed535
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:05 +0300

    genesys: Add a way to push constructed nodes to pipeline

commit afa798d71a440032dcab309468c7e6dcb0b5b852
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:04 +0300

    genesys: Simplify ImagePipelineNodeArraySource

commit d680724f9e1cc7b68b8520f8a69fe5bea3e28bfd
Merge: 51725d406fa6 d770012132e9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 11:18:34 +0000

    Merge branch 'genesys-debug-tiff' into 'master'

    genesys: Use TIFF files for debugging

    See merge request sane-project/backends!464

commit d770012132e9aa80f51b0f4cc3272d242b9df025
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:03:01 +0300

    genesys: Use TIFF files for debugging

commit 51725d406fa6464d3a4c35e80eb10dd9afae4507
Merge: 7fbe79220084 aa937c5b4c98
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 11:18:09 +0000

    Merge branch 'genesys-stagger-alignment' into 'master'

    genesys: Align input pixel positions for unstaggering

    See merge request sane-project/backends!465

commit aa937c5b4c985943018565a39b7052a0caaaa97a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:32 +0300

    genesys: Simplify pixel positioning for unstaggering

commit 5a455e741bf7eef66457ac27fa5f13f4b0b2fa96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:31 +0300

    genesys: Fix align_multiple_{floor,ceil} for zero multiple

commit bb05afdbfdab501e3496e887f63a5c9fd6e27157
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:30 +0300

    genesys: Fix erroneous multiplication by channels on gl646 cis

commit 7fbe79220084dd40dc37062d5cdca4488f90c34f
Merge: 4ee035983cc8 5f0abce90fb9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 22:40:34 +0000

    Merge branch 'genesys-stagger' into 'master'

    genesys: Improve stagger handling

    See merge request sane-project/backends!463

commit 5f0abce90fb9545e71dee00ec9f23311cf6e00eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:50 +0300

    genesys: Add support for unstaggering in X direction

commit 95d7196fca0f50c3223f7e4638da10cb5ad4909f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:49 +0300

    genesys: Implement image pipeline node to shift columns

commit 1bae94fd1ee8e8a5e33a23dfec4e010f2eac954e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:48 +0300

    genesys: Support more than 2 columns in ImagePipelineNodePixelShiftLines

commit d980da1ff7141e7b433689489dbc9a1fb02957d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:47 +0300

    genesys: Improve vertical staggering to support more than 2 lines

commit 4ee035983cc8af3ba39b7a7d75ab613e751872fa
Merge: 2e4a3ddd0696 4b0f3ed02c32
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:57:48 +0000

    Merge branch 'genesys-simplify-param-calculation' into 'master'

    genesys: Simplify scan parameter calculation

    See merge request sane-project/backends!462

commit 4b0f3ed02c32a180d3d8305caf1fa9506456e67e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:59 +0300

    genesys: Warn if output and requested widths don't match

commit a6f023fee180cbdfd834b98605f2b8d6e1459814
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:58 +0300

    genesys: Reuse Genesys_Settings::requested_pixels for bytes per line

commit c50bfb8493c94b306132620e9f071c8bd1d7d500
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:57 +0300

    genesys: Simplify calc_parameters() by making data flow explicit

commit 90a2386c01f5632981b0e0accd7329c5f090c74b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:56 +0300

    genesys: Fix const safety of sensor retrieval functions

commit 0957103cc3d5cb9bb1395652fbedf108596a070a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:55 +0300

    genesys: Prefer to have a local `dev` variable for Genesys_Device*

commit b6eb01cd0feb93171503bd3e57549702e4111b49
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:54 +0300

    genesys: Update session test to include scan params

commit 2e4a3ddd069626a3613de78a51626b864f536cab
Merge: 3cd0914f678b 83f7520fe783
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 18:07:20 +0000

    Merge branch 'genesys-simplify-buffers' into 'master'

    genesys: Simplify buffer handling

    See merge request sane-project/backends!461

commit 83f7520fe783a03929a8dd28a760903459aa1d35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:17 +0300

    genesys: Remove obsolete comment

commit 0d97c3d19587388d14f1828957797ef4a938592c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:16 +0300

    genesys: Simplify genesys_read_ordered_data()

commit 1eccbf5aefa70ac3e6b2972f74813ca42a17e1da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:15 +0300

    genesys: Remove no longer used buffers

commit 3cd0914f678bfd96b7c144a5f0bf9910537698b4
Merge: d7f930252b2c 657de7d72a67
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 17:38:18 +0000

    Merge branch 'genesys-remove-image-enhancement' into 'master'

    genesys: Remove image enhancement functionality

    See merge request sane-project/backends!460

commit 657de7d72a672c23670b810dd83ec5784779278d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:16:36 +0300

    genesys: Remove image enhancement functionality from the backend

commit 59abadd06558354e9d41c86bd4f0181d94ec9579
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:16:35 +0300

    genesys: Fix debug statement logging directly to stderr

commit d7f930252b2c333a62d0c0b0c3fec2de4f66449e
Merge: 92552129acfa b42ed0343af2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 17:37:23 +0000

    Merge branch 'genesys-crash-bugs' into 'master'

    genesys: Fix several bugs that can potentially crash the backend

    See merge request sane-project/backends!459

commit b42ed0343af27d50d42724cf20e461960f0b7252
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:05 +0300

    genesys: Fix uninitialized variable

commit 78ed723f388b4e049d220e155349a98ad12b873d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:04 +0300

    genesys: Fix invalid writes in ImagePipelineNodeInvert for 1-bit data

commit 2986d95ee7464d36f1ef2ff16b72dcba7ed372af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:03 +0300

    genesys: Fix potential out of bounds access in line shift pipeline nodes

commit 92552129acfa26ef225a83d9e2c1d5ec8d51d99e
Merge: 757b7cf46371 5a727324f917
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 19:35:48 +0000

    Merge branch 'genesys-enums-human-readable' into 'master'

    genesys: Update enum formatters

    See merge request sane-project/backends!458

commit 5a727324f917365b77fde1cc0c77dc3c8867087f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 22:00:16 +0300

    genesys: Update enum formatters for OpticFilm 7200

commit 4fea56dfe85ddef814d963ad5b99da4809afc107
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 22:00:15 +0300

    genesys: Add function to format SensorId

commit 757b7cf463718de9b4f7b29b0cd61eb9bde10f86
Merge: 0415fb4b7df1 bfea8a1a8235
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-18 12:23:49 +0000

    Merge branch 'release/1.0.30' into 'master'

    Merge changes released with 1.0.30

    Closes #279

    See merge request sane-project/backends!457

commit bfea8a1a82356f73101572d39bb33ca185692ed4
Merge: d5187355f6e0 0415fb4b7df1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-18 12:08:28 +0000

    Merge branch 'master' into 'release/1.0.30'

    # Conflicts:
    #   NEWS

commit 0415fb4b7df148647692f5c7e1766bd214c12bfe
Merge: 42954251826b e62f13052374
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:50:52 +0000

    Merge branch 'genesys-sensor-optical-resolution' into 'master'

    genesys: Add real optical resolution to sensor structs

    See merge request sane-project/backends!456

commit e62f13052374d6a6e699d864dd34653fedf1497a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 06:35:20 +0300

    genesys: Replace ccd_size_divisor with explicit optical resolution

commit b5430cc039cda3d942488a80b3d49bc7e5c18f0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 06:35:19 +0300

    genesys: Rename Genesys_Sensor::{optical_res => full_resolution}

commit 42954251826ba66271ea98ae0b30f2b7e23f9faa
Merge: 42fe911fcd39 c2851ff61f22
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 01:49:47 +0000

    Merge branch 'genesys-fix-motors-gl841' into 'master'

    genesys: Motor fixes and cleanups on gl841

    See merge request sane-project/backends!455

commit c2851ff61f22c856e774a5168ca45ce6f8dbf80b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:29 +0300

    genesys: Slow fast movements on higher resolutions on LiDE 35,50

commit b35345ae7a15347faa6f1107596df2e939f5f433
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:28 +0300

    genesys: Use quarter step for high-resolution scans on LiDE 35,50

commit cf8f9c75f96472bc2077c1a2f34d8d16389d2154
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:27 +0300

    genesys: Add missing register writes on gl841

commit 96a5f963a3e017c8d2be6026a9e31f4fd03e73c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:26 +0300

    genesys: Make sure full-step tables are used on gl841

commit e5fa8dd3cc7da002f038392090e4057a814f4c17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:25 +0300

    genesys: Simplify motor mode selection on gl841

commit 69202b2b566cdb0fbd61bef77ab6c6b2fb591a9f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:24 +0300

    genesys: Add separate sensor definition for LiDE 60

commit 341fdbbee7f3e7f55097a4291147933bcf7c47fa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:23 +0300

    genesys: Add missing register writes on LiDE 60

commit bb0410199061520e9ffcfdf33396674300c581b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:22 +0300

    genesys: Use scan table for back table on gl841

commit 5820e1e0bd098ea9916c7e69f50d6ef3340df744
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:21 +0300

    genesys: Restore full motor table writes on gl841

commit 51f97b1b9719821f01462abca3822d4606e8f065
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:20 +0300

    genesys: Fix invalid step count when feeding on gl841

commit 8435be213fc4687b3376b9488ba911534699453c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:19 +0300

    genesys: Support non-FULL steps for fast tables on gl841

commit 4f0bab0bfa295f58ac24555680864339e5cff8e1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:18 +0300

    genesys: Don't write zero values to step count tables

commit 1633022fda15bd4be1688494e8e74b4962773b0e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:17 +0300

    genesys: Simplify motor setup on LiDE 80

commit 7932c68d03aa0dd32f208e6546af3b2e97c24ffb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:16 +0300

    genesys: Simplify slope table size calculations

commit 288dd82a6f22262eb823556f1a7744c809170b4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:15 +0300

    genesys: Pass motor profile directly to exposure calculation utils

commit 049e69aa7953a893039903cc18f5189f7d125f09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:14 +0300

    genesys: Fix step multiplier handling in motor table manipulation utils

commit b8ced2861a6fd52491ea550067bdfc4fcf5707e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:13 +0300

    genesys: Always write the same set of tables on gl841

commit 12641bd6ca4b6f486cd035a8894be492f7783e85
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:12 +0300

    genesys: Don't send empty tables unnecessarily on gl841

commit 88b49704b24806effd074bc8db2cbb31d4672f96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:11 +0300

    genesys: Use create_slope_table() directly on gl841

commit 16fa00c13b3db470ef56d55a75575a43f5158a62
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:10 +0300

    genesys: Extract scanner_send_slope_table()

commit 11c3a67e47354c3d0ada281233c019492337a8a7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:09 +0300

    genesys: Remove redundand argument out of *_send_slope_table()

commit 253bd0ffe42b2961236a767d1abb0fef7d668359
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:08 +0300

    genesys: Regenerate motor table total duration when it is updated

commit 9c4f84f91afcd3ce993db0f527f617f16ea46f53
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:07 +0300

    genesys: Don't generate excessive amount of steps for the motor tables

commit 8e76d4ede9855cf3c7ee37786fc38f1a40876b77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:06 +0300

    genesys: Upload only required part of motor slope table on gl841

commit 412beaeb19f22c18572fc0af0337af4c62a035b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:05 +0300

    genesys: Simplify motor setup on gl646

commit 42fe911fcd3931aa81225e0e0d9cf1c1358573fc
Merge: 86d2b1e52fd8 800cf3beaf29
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:19:29 +0000

    Merge branch 'genesys-cleanup-disable-calibration' into 'master'

    genesys: Cleanup the way calibration is enabled/disabled

    See merge request sane-project/backends!454

commit 800cf3beaf29e9126f32f9284b0e7f0b4242214a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:28 +0300

    genesys: Use ModelFlag::DISABLE_*_CALIBRATION instead of NO_CALIBRATION

commit 04b91dc4c9308223ee76973b28e3249b11ce6cc5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:27 +0300

    genesys: Implement a way to selectively disable calibration steps

commit 71eeeb0ca6c16a68052fbd5a27929ba17d6a5d76
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:26 +0300

    genesys: Remove dead code

commit 86d2b1e52fd8f7f68845611221b33292f6030a14
Merge: 41facc7dd405 d6570c86ffb9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:59:29 +0000

    Merge branch 'genesys-remove-obsolete-debug' into 'master'

    genesys: Remove debug messages that are no longer useful

    See merge request sane-project/backends!453

commit d6570c86ffb917316d3a64d4f11dea1ae05d973e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:43:10 +0300

    genesys: Remove debug messages that are no longer useful

commit 41facc7dd405478340fe24435efa399ef1480156
Merge: 5d441bdd3ea3 14db69fb76d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:24:00 +0000

    Merge branch 'genesys-image-logging' into 'master'

    genesys: Make image data logging more convenient

    See merge request sane-project/backends!452

commit 14db69fb76d52f13cdc2d588d2992b861da3f9d6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:08:10 +0300

    doc/genesys: Add documentation of SANE_DEBUG_GENESYS_IMAGE

commit c0b49d0d3e651a6ec5e2ed80f68e48b1ca2dd8f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:07:08 +0300

    doc/genesys: Remove no longer existing debug options

commit 6e398bc7bf0e2314c819a460ad45887c1c9c3fba
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:05:21 +0300

    genesys: Write debug images only if step was enabled

commit 6092e2d682886b44f6cba3a2b8570d34a705c90d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:05:20 +0300

    genesys: Enable image data logging as a separate environment variable

commit 5d441bdd3ea33b089ad2a47ca710abd2c7965fbe
Merge: 10b126a65efc 9f46845f957d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:51:50 +0000

    Merge branch 'genesys-print-error-when-config-file-unavailable' into 'master'

    genesys: Print debug message if configuration file can't be accessed

    Closes #101

    See merge request sane-project/backends!451

commit 9f46845f957d3d1cf85e13e6dbaf60212c32bf4e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:35:17 +0300

    genesys: Print debug message if configuration file can't be accessed

commit 10b126a65efc5f69d8b085ece268d58e86e2847c
Merge: 909a78a0c7dd ea8beca57dd6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:39:23 +0000

    Merge branch 'genesys-lide60-abrt' into 'master'

    Fix abort in genesys backend during sending slope table

    See merge request sane-project/backends!346

commit ea8beca57dd66d44e03f77dd60f1ee25bcbbe278
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2020-03-23 09:47:02 +0100

    Fix assertion error in gl841 asic type by lowering steps for fast/back/slow tables

commit 909a78a0c7dd25ecbeded78ab5de79a1be069166
Merge: 4bd76d35c6f4 d3b9178d6bda
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:36:33 +0000

    Merge branch 'genesys-simplify-gpio-gl847' into 'master'

    genesys: Simplify GPIO setup on gl847

    See merge request sane-project/backends!450

commit d3b9178d6bdabaf11549cdf401c35bc56496bd12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:21:13 +0300

    genesys: Simplify GPIO setup on gl847

commit 4bd76d35c6f42f7a6326d70713de22a509884cdb
Merge: c9beb6b0ba43 69a249e00076
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:21:39 +0000

    Merge branch 'genesys-fix-adc-definition-gl847' into 'master'

    genesys: Fix ADC definitions on gl847

    See merge request sane-project/backends!449

commit 69a249e0007636f4db9ecc18c482876aaca34296
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:04:52 +0300

    genesys: Simplify ADC setup on gl847

commit 0d2a4b5244744c2bb8935db78a9f7f764cb49427
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:04:51 +0300

    genesys: Fix incorrect ADC definition on gl847

commit c9beb6b0ba433b2d25eb07537fa7307f15010a1b
Merge: fbb60d4d5255 4691b92d8047
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:52:33 +0000

    Merge branch 'genesys-simplify-motor-profile-setup-gl841' into 'master'

    genesys: Simplify motor profile setup on gl841

    See merge request sane-project/backends!448

commit 4691b92d80478c97701ed04b9817f92a268d2235
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:38:42 +0300

    genesys: Simplify motor profile selection on gl841

commit ae8cb155efc65000d4454d2499e9408b0d372097
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:38:41 +0300

    genesys: Simplify register setup on gl841

commit fbb60d4d525572f42cf78c5850756f7f10f2da57
Merge: a3284ab5e0bd 16a9bddf59f2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:46:21 +0000

    Merge branch 'genesys-simplify-gl646' into 'master'

    genesys: Simplify miscellaneous gl646 code

    See merge request sane-project/backends!447

commit 16a9bddf59f2a95a9bff4dd5a11fe6d2cb9ff89a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:28:01 +0300

    genesys: Remove dead code on gl646

commit edb375fbccfa158be2bdc7ec670be6ba38f4fc1b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:28:00 +0300

    genesys: Remove duplicated coarse calibration on gl646

commit 256a90e29d777de3b2865627b3f8030ef7635857
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:27:59 +0300

    genesys: Simplify coarse_gain_calibration() on gl646

commit a4145e2edaebbdd43dc64fa41dc8f07f38e20bb7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:27:58 +0300

    genesys: Only set requested_pixels when it's not default on gl646

commit a3284ab5e0bdef4f5d20f3ce428af841b153b150
Merge: 35ffd5758617 b1b61b043b90
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:42:21 +0000

    Merge branch 'genesys-simplify-motor-setup' into 'master'

    genesys: Simplify motor setup

    See merge request sane-project/backends!446

commit b1b61b043b90c5fd933db4bad3a4fd51576973f1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:34:41 +0300

    genesys: Pass whole motor struct to create_slope_table()

commit fe3677b68f8517bcb04912303e3b3341d4b7bd4d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:34:40 +0300

    genesys; Rename create_slope_table{=>_speed}()

commit 35ffd575861726952b53efad944802e6269c5041
Merge: 4605d379bbbb dcb90dc042ac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:29:17 +0000

    Merge branch 'genesys-use-flags-to-setup-scan-gl646' into 'master'

    genesys: Use flags to setup scans on gl646

    See merge request sane-project/backends!445

commit dcb90dc042ac577106659f072f91893ad8ec4fb8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:17 +0300

    genesys: Simplify handling of output line count on gl646

commit 46d3ea07d49c6169d6f57537da802f55f70507c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:16 +0300

    genesys: Use DISABLE_GAMMA fla to control GMMENB bit on gl646

commit 35544b0c363ba203059b0e6909737118908a9489
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:15 +0300

    genesys: Simplify init_regs_for_shading() on gl646

commit 3dff3a97b34d9385064c03079a3c5b4f8a9b5479
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:14 +0300

    genesys: Fix invalid movement in simple_move() on gl646

commit 84d4d0b15c94b4f232c8338928eea14b86ac7651
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:13 +0300

    genesys: Use AUTO_GO_HOME flag to control AGOHOME bit on gl646

commit 4b5b2b2f0bdd11c79c44137f78977498efb33566
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:12 +0300

    genesys: Simplify init_regs_for_warmup() on gl646

commit 0bc0f893b2188ca2be5263b0bfb606ce1cc05f47
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:11 +0300

    genesys: Simplify invocation of simple_scan() on gl646

commit 4605d379bbbbcfd2097599a873727c98e0b92b61
Merge: ccf1cbd3ab51 aee51c9dec9e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:13:05 +0000

    Merge branch 'genesys-fix-led-calibration-crash-on-black-image' into 'master'

    genesys: Fix crash in led_calibration() when image is completely black

    See merge request sane-project/backends!444

commit aee51c9dec9ed4de75eec79bb170372ecf00c333
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-11 23:48:21 +0300

    genesys: Fix crash in led_calibration() when image is completely black

commit ccf1cbd3ab5182b31abe45bcf15d469c151d1b27
Merge: e4d0b7b357e6 644f4b0c9461
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:56:19 +0300

    Merge branch 'genesys-simplify-gl646' into master

commit 644f4b0c946184bd97009ef77fd36d8a681557a4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:45 +0300

    genesys: Simplify session setup in ad_fe_offset_calibration() on gl646

commit 4183f37b4610bb907c802d50a3b699119d08e18d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:44 +0300

    genesys: Simplify session setup in offset_calibration() on gl646

commit e32ca11346697db8cb0bb60c367d9a7de1187089
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:43 +0300

    genesys: simplify session setup in ad_fe_coarse_gain_calibration()

commit 1f78a2e64c7d93c37368400f31dfb3ea791acbd0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:42 +0300

    genesys: Simplify session setup in coarse_gain_calibration() on gl646

commit e876379f3181d37e12a10fdcc1db3fef78dab1fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:41 +0300

    genesys: Simplify session in simple_move() on gl646

commit 5a2e81b633811c6d5f4de4e168f8cd11ccae1eee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:40 +0300

    genesys: Simplify session setup in led_calibration on gl646

commit 09eb07561fc0fdc38ee240308954f2a818fee09e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:39 +0300

    genesys: Split simple_scan() into version that accepts ScanSession

commit 4f1dad8ca91a6ea3db6df64dfc120b8d38c4253e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:38 +0300

    genesys: Simplify session setup on gl646

commit 99a59d9871ecbfd7668759aca3d4050d86fa7811
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:37 +0300

    genesys: Remove out of date comment

commit e4d0b7b357e60612124fb1cd34bdcbd222f127ee
Merge: 076faf8b8425 09eaba9606e9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 15:15:49 +0000

    Merge branch 'genesys-pipeline-invert' into 'master'

    genesys: Add pipeline to invert pixel values

    See merge request sane-project/backends!442

commit 09eaba9606e9f8894acb87879cf644747af59274
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:53 +0300

    genesys: Add model flag for inverted output

commit ab1d86d74a230add6ca328d3f3a769ef29e31634
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:52 +0300

    genesys: Rename {INVERTED->SWAP}_16_BIT_DATA model flag

commit 52cd02d78ca89e26277a2a908874cf6a4ab5a418
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:51 +0300

    genesys: Add image pipeline to invert pixel values

commit 076faf8b84256d624b399e102cc89e98b247b1d3
Merge: a05983ba28d7 06ad1dd43f5b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 15:09:31 +0000

    Merge branch 'genesys-simplify-gl646' into 'master'

    genesys: Simplify gl646 scan setup code

    See merge request sane-project/backends!441

commit 06ad1dd43f5b23aa764be1d4eb4e61294b41e3b4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:10 +0300

    genesys: Inline setup_for_scan() into gl646_repark_head()

commit 1b5c31bb01459e6e7980707e4d373b7dec86699a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:09 +0300

    genesys: Inline setup_for_scan() into init_regs_for_warmup() on gl646

commit d7bf809a6cfc15975ed51ed6ec6efdc22aa28730
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:08 +0300

    genesys: Inline setup_for_scan() into init_regs_for_shading() on gl646

commit 7ba20e43a31ab9c4d7c4076e1e30f5289c494b5c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:07 +0300

    genesys: Simplify simple_scan() on gl646

commit f1d6c2c0cddc919ad005663c9bc5995620e9a8fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:06 +0300

    genesys: Inline setup_for_scan into simple_scan on gl646

commit a05983ba28d7db886b42cdd23193dd7d6823f2ae
Merge: cf5c40b8e872 0abdfa483f54
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-15 08:59:36 +0000

    Merge branch 'fix-statis-no-data' into 'master'

    If no data then the status is NO-DOCS.

    See merge request sane-project/backends!440

commit 0abdfa483f54dc5ce876a870fc9335d6dc3e6bfe
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-15 10:21:56 +0200

    If no data then the status is NO-DOCS.

commit cf5c40b8e872d43d2b080fd44ef6b94b289e52bc
Merge: 9e8326a3bcd3 1027e8aae09c
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-14 14:23:51 +0000

    Merge branch 'fix-status-start-and-stop' into 'master'

    Fix status start and stop

    See merge request sane-project/backends!439

commit 1027e8aae09c8044574841af2f146adc7bc8d3cd
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 15:31:10 +0200

    Fix build.

commit bd8cb0e6aa40ed1cbaa7ee4b4a63a2eeb8077c89
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 14:03:20 +0200

    Code cleanup.

commit 287a6bb88a648a3a15b33e450bb3958eb164bb1f
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 13:05:08 +0200

    Test status device before scan and after.

commit 9e8326a3bcd3842354a7dd0a7687594e7dae275f
Merge: 0615d21718df d9c377cf0926
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-13 20:52:56 +0000

    Merge branch 'fix-offset' into 'master'

    Fix offset

    See merge request sane-project/backends!438

commit d9c377cf0926e13c4ac3a963a7a884112c2537a0
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 22:24:51 +0200

    Fix style

commit c66efc0fafa3feecd567c4264f55ec25249e0096
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 22:20:55 +0200

    Allows the X and Y offset to be set to 0.

commit 0615d21718df1dc0d393082552ddd0d7e05f678d
Merge: 3eb72d7485fd 29866b0b1975
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-13 18:49:57 +0000

    Merge branch 'fix-return-status-adf' into 'master'

    Fix status sane_read.

    See merge request sane-project/backends!437

commit 29866b0b1975ca1d81a68d41315bbd42607e1ca7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 20:33:01 +0200

    Fix status sane_read.

commit 3eb72d7485fd0fa7eac33acfc6e7fa0e1cd69a6a
Merge: 080ac870ee9c c6a411a29fe0
Author: Louis Lagendijk <louis@fazant.net>
Date:   2020-05-11 16:50:27 +0000

    Merge branch 'pixma_mf4700n_not_buggy' into 'master'

    doc: ADF not now buggy on imageClass MF4770n.

    See merge request sane-project/backends!436

commit c6a411a29fe0faec788eb7c5c54c5e8aaf564363
Author: Ralph Little <skelband@gmail.com>
Date:   2020-05-11 09:16:07 -0700

    doc: ADF not now buggy on imageClass MF4770n.

    Due to recent work on the pixma backend.

commit 080ac870ee9c2382786e3abaf7e0a34d4c03a437
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2020-05-11 17:12:31 +0200

    pixma_bjnp.c: fix incorrect return from SANE_STATUS_INVAL to BJNP_STATUS_INVAL
    as pointed out on F32 compile in CI

commit 5ad7708381e462d0f76bed42e6c0382e6aa264ac
Merge: 767a289fd2dc 36ece1de84e5
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-11 14:58:38 +0000

    Merge branch 'escl-fix-status-adf' into 'master'

    Refactoring of the adf status.

    See merge request sane-project/backends!434

commit 36ece1de84e5507bb456dee4fa1f0d1946a904dc
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-11 10:25:27 +0200

    Fix status for all vendors

commit dc2b9aeadeaa183ee7a3f16b05230d622dc55970
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 22:20:30 +0200

    JobState, if it exists, decides whether to proceed to the next page.

commit 70daed513298e600db6a52334925d1ce96972558
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 15:11:30 +0200

    Fix error name variable.

commit 64c1c8a86559f76d4222305b76ff7f71ebe77a13
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 01:28:49 +0200

    Logic correction.

commit c1d302f3d71c8fcf1ce230d87de413fb4e90d2f7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 23:48:48 +0200

    Adjuste status adf.

commit 296e73ae6bc7fde984cb5b110fdd5332e18c970b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 15:42:33 +0200

    escl get sane_cancel output

commit f2337927027a8f529c948ba8f5be146a11077194
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 10:03:39 +0200

    Update Adf status.

commit c4d8cc424e8d9a21fefe5e00647ce2d9828f9e6a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 09:50:15 +0200

    Update Adf status.

commit a931e0df574ae4b7047c19852c7add8f25e760df
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-07 19:19:55 +0200

    Refactoring of the adf status.

commit 767a289fd2dc815e0b546dd8a7ca5d19802264fd
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2020-05-11 16:42:33 +0200

    pixma_bjnp: fix ADF scanning for laser/mfnp scanners. mfnp devices require a single TCP session
    for ADF scans, while bjnp requires a TCP session per page.

    Squashed commit of the following:

    commit 8ee0a23d6b2920bc344bf76fd39f4b556222190b
    Author: Louis Lagendijk <louis.lagendijk@gmail.com>
    Date:   Sat May 9 16:47:23 2020 +0200

        Make pixma_bjnp work for both bjnp and mfnp

    commit 3df6d0d5903ccf4de0d27301e65025209888d3c7
    Author: Louis Lagendijk <louis.lagendijk@gmail.com>
    Date:   Sat May 2 19:50:23 2020 +0200

        Move opening tcp connection to bjnp_open/close

commit 10408cfa99e3f9965ea7b350a554a6ccf715b385
Merge: 6689104f01d9 73bf5533f978
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-08 07:01:30 +0000

    Merge branch 'escl-clean' into 'master'

    escl - release memory and close descriptor.

    See merge request sane-project/backends!435

commit 73bf5533f97846d94034df809cfe6c6a5ff7d295
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-08 08:35:50 +0200

    release memory and close descriptor.

commit 6689104f01d9db0cf0da763b216c0c4b5ab990bf
Merge: e8e9577c1200 878197a00e5f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 18:29:07 +0000

    Merge branch 'fix-status-returned-by-sane-start' into 'master'

    escl: Add support for SANE_STATUS_NO_DOCS and SANE_STATUS_DEVICE_BUSY to sane_start

    Closes #283

    See merge request sane-project/backends!433

commit 878197a00e5f72a5bb2486c20e8c98b8bdc70387
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-05-06 18:25:44 +0200

    escl: Add support for SANE_STATUS_NO_DOCS and SANE_STATUS_DEVICE_BUSY to sane_start

    Fixes: #283

commit e8e9577c1200dee3a8c10e4e97250875b055ae84
Merge: 20f7026371e7 adbbdc8a69f4
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 18:10:33 +0000

    Merge branch 'add-more-logs' into 'master'

    Make curl error message more informative, to help debug issues

    See merge request sane-project/backends!431

commit adbbdc8a69f40d384576f055b8cb3cde6da92623
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-05-06 16:01:01 +0200

    Make curl error message more informative, to help debug issues

commit 20f7026371e7db5badf42be8429f5ff743a3c699
Merge: 050e73d07ec8 fc14edf69ee0
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 14:44:24 +0000

    Merge branch 'escl-reduces-number-entries-offer' into 'master'

    Escl reduces number entries offer

    See merge request sane-project/backends!432

commit fc14edf69ee0993fdb1f5c5c8faeb3ff5afdbc3c
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 16:22:11 +0200

    Fix build.

commit 646ee990d39e04984354dc394153fb74d8d94200
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 16:08:53 +0200

    Reduces the number of entries on offer.

commit 050e73d07ec8f53ac2ddc4c38469a72cde4c7713
Merge: 833c25c3ae68 c9fdb62060ce
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 09:21:28 +0000

    Merge branch 'escl-fix-feeder-not-duplex' into 'master'

    Escl fix feeder not duplex

    See merge request sane-project/backends!429

commit c9fdb62060cecb3fbc44cfe0f31facfbf9b5a668
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 10:44:31 +0200

    The duplex tag is only sent to the device if the device supports AdfDuplex.

commit 9b3d7dc8b69590508d4eb9bd23dbaf3d83eb86a8
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 10:12:52 +0200

    Fix  name of sources.

commit 833c25c3ae681820f7e1d41f2a0bac9a18fd3e80
Merge: b5013094f8bc e18242108e93
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 05:58:02 +0000

    Merge branch 'inspiration-from-freebsd-patches' into 'master'

    Inspiration from freebsd patches

    Closes #291, #290, #289, and #286

    See merge request sane-project/backends!425

commit e18242108e93c2442306b061b6b781df41e192be
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 16:15:13 +0900

    v4l: Drop kernel interface from v4l.h

    It has been included in libv4l1.h since 0.8.3.

commit 95b43691661bacf47c8985a0ebb0f4ad1eb6d440
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 16:14:11 +0900

    v4l: Prefer C99 standard type over asm __u32.  Re #291

commit 9e1acea49766e69b1782676ff11bfced7f35c4bf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 13:02:35 +0900

    umax_pp: Fix typo.  Fixes #290

commit 1a201b28ab1bb6e7dacb3ed19226fbfb97df0e04
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 12:55:19 +0900

    ricoh2: Use C99 standard headers

    Inspired by a FreeBSD patch.  Fixes #289.

commit 9232792e0fb544eed9e6930cd7c282680cc1e305
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 12:31:34 +0900

    epsonds: Add missing header files for socket use.  Fixes #286

commit b5013094f8bc0f58bc401589eeee93ef6cb2357a
Merge: 7f1741d54d1f 0efee9ddd6ab
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-05 22:31:58 +0000

    Merge branch 'add-vendor' into 'master'

    Escl - Add vendor

    See merge request sane-project/backends!428

commit 0efee9ddd6ab331ef7848cd852f6418b1d074cd2
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-06 00:14:12 +0200

    Fix model name cropping.

commit cd18ba69dec1922501ff6f34b5ecbfb1b4bcf2e5
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-06 00:13:37 +0200

    Add vendor

commit 7f1741d54d1fbc405a8132fe192599f641faf16e
Merge: bd482b6365fe 8e2d33565340
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-05 20:48:02 +0000

    Merge branch 'escl-fix-vendor' into 'master'

    Put the vendor corresponding to the device used.

    See merge request sane-project/backends!426

commit 8e2d3356534003fa6b16516e7a310774284a38bc
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-05 22:29:03 +0200

    Put the vendor corresponding to the device used.

commit bd482b6365fe0a6526982674ea0e870540c026f1
Merge: 0f657faf7cf2 2ed753b3fe47
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-04 11:39:19 +0000

    Merge branch 'escl-fixe-descriptor-size' into 'master'

    Fixe descriptor size.

    See merge request sane-project/backends!424

commit 2ed753b3fe47911d2e87a71f6d4e1f32eaf826da
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-04 13:19:03 +0200

    Fixe descriptor size.

commit 0f657faf7cf2038031e163bfa889c5e043f3c023
Merge: a8ce7a99ceb1 855cc408d3c1
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-02 09:23:17 +0000

    Merge branch 'escl-cancel-scan' into 'master'

    Fix the status of the scanner in case of failure.

    See merge request sane-project/backends!422

commit 855cc408d3c16db695374c729b0f35a604ffa600
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-02 11:05:49 +0200

    Fix the status of the scanner in case of failure.

commit a8ce7a99ceb1bcde22bbbb3e42860e76da1d9e67
Merge: bc6e04f47791 a0ef09c456d6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-02 05:29:17 +0000

    Merge branch 'ci-fedora-32' into 'master'

    CI: Bump Fedora from 31 to 32

    See merge request sane-project/backends!421

commit a0ef09c456d6197cec5a919f117576636fa7ea9e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-02 14:12:33 +0900

    CI: Bump Fedora from 31 to 32

commit bc6e04f477912a70e8d244e47bf170ce95694333
Merge: ea053c1a6460 2190739b3108
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-01 10:37:17 +0000

    Merge branch 'escl-correction-label-source' into 'master'

    escl : Fixed source argument.

    See merge request sane-project/backends!420

commit 2190739b310885e3c42be6adf27fbd1a4be27f10
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-01 11:59:58 +0200

    Fixed source argument.

commit ea053c1a6460af108bae8f3a66a4dc35d7f75d8f
Merge: 9aad355032fd 24ffce93fd95
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-01 05:04:33 +0000

    Merge branch 'capabilities-logs' into 'master'

    Don't use the uninitialized data during getting capabilities and print capabilities

    See merge request sane-project/backends!419

commit 24ffce93fd9557b7396d0588694c76ef43358418
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-04-30 22:36:00 +0200

    Don't use the uninitialized data during getting capabilities and print capabilities

commit 9aad355032fd9653cf74d6c1ece890809d08799f
Merge: 812497969ca3 dabd9270099f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 01:34:12 +0000

    Merge branch 'update-epkowa-documentation' into 'master'

    Sync doc/descriptions-external/epkowa.desc with latest upstream

    See merge request sane-project/backends!408

commit dabd9270099f31cb7238ecfb98617872bb85f30d
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-04-15 18:11:54 +0200

    Sync doc/descriptions-external/epkowa.desc with latest upstream

    iscan-data_1.39.1-2.tar.gz archive downloaded from:
    http://support.epson.net/linux/src/scanner/iscan/

commit 812497969ca3a68615b71162b6560d4fb890b3dd
Merge: 867aeb7d0908 08b41c052e46
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-23 18:53:20 +0000

    Merge branch 'genesys-plustek-7200' into 'master'

    genesys: Add support for Plustek OpticFilm 7200

    See merge request sane-project/backends!418

commit 08b41c052e4652c66d0906948eacd8dc3cf4e25b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-23 21:17:03 +0300

    genesys: Add support for Plustek OpticFilm 7200

commit 867aeb7d0908a495b1118ceb012bbbc2143f5baa
Merge: a70beba79c9a c88ba0dff246
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-04-23 14:13:27 +0000

    Merge branch 'master' into 'master'

    sanei_usb: allow non-configured devices on macOS for libusb-1.x

    See merge request sane-project/backends!358

commit c88ba0dff246b19a817a35c88c2a62bf8524de3f
Author: Brandon Beck <bmbeck@gmail.com>
Date:   2020-03-13 17:54:51 -0500

    Allow unconfigured USB scanners on macOS.

    Based on findings from Oliver Schwartz (https://alioth-lists.debian.net/pipermail/sane-devel/2012-June/029890.html)
    this change allows USB scanners to be unconfigured on macOS.  This fixes
    the issue of scanners being unable to be discovered because they look
    to be not configured but end up getting configured later.

commit 011d0f9bacab126fb2ae09d29abdd6eb88f1333d
Author: Brandon Beck <bmbeck@gmail.com>
Date:   2020-03-13 19:26:54 -0500

    Fix build on macOS.

commit a70beba79c9a2e7f26e7958db76a19f5e1b8fadd
Merge: 40a451b1ac28 e5c371b24b35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-22 20:09:23 +0000

    Merge branch 'genesys-cleanup-motor-dpi' into 'master'

    genesys: Merge motor optical_ydpi to base_ydpi

    See merge request sane-project/backends!417

commit e5c371b24b35f70e2f082078a6f2e0b5aaf30e6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-22 08:28:20 +0300

    genesys: Merge motor optical_ydpi to base_ydpi

commit 40a451b1ac28f75c69f56f1c62d573b4727ee3b8
Author: Alex Belkin <abc@telekom.ru>
Date:   2020-04-22 16:15:33 +0300

    xerox_mfp: Mark Xerox WorkCentre 3225 as supported

    Reported by Darodaros in issue sane-project/website#26.

commit 5cf347d34d7e470d3376e89daef0e9fbd0e78ed5
Merge: 27e3d213512c 32083172ea58
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-21 13:06:27 +0000

    Merge branch 'escl-ADF-only-scans-first-page' into 'master'

    Moves to the next page.

    See merge request sane-project/backends!416

commit 32083172ea58ce44a402ef2372afc1c82f8d19e9
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-21 14:49:40 +0200

    Allows you to move to the next page.

commit 27e3d213512c72bc94fdc1d33c673996a74b0f62
Merge: 5eec2b4a0c44 111d8d2aabd7
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-21 11:05:21 +0000

    Merge branch 'escl-invalide-image-with-scanimage' into 'master'

    eSCL : Fix invalide image with scanimage.

    See merge request sane-project/backends!415

commit 111d8d2aabd72db62a3a8bc67475f1045b050d5b
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-21 12:47:07 +0200

    Fix invalide image with scanimage.

commit 5eec2b4a0c444e0a56c1b1a2a383b211574a14a7
Merge: a00b8079ee68 53162b4cad32
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 23:35:56 +0000

    Merge branch 'genesys-cleanup-gl841' into 'master'

    genesys: Cleanup gl841 code

    See merge request sane-project/backends!414

commit 53162b4cad323316678c340cfca9f13461dab03f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:57 +0300

    genesys: Remove no longer used motor action

commit af28c2d56c612cfdb21e3884fc26e436c8a8e21d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:56 +0300

    genesys: Reuse scanner_move_back_home() on gl841

commit d9b49e567c0ccbe8d11794a39f3b7be9fc3ca8af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:55 +0300

    genesys: Simplify motor direction setup on gl841

commit 8412861a662b13976ec36808b772d761ae490d6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:54 +0300

    genesys: Support reverse scan direction on gl841

commit f965c2ef255af3cb84dd8ab79a6f61576ab58017
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:53 +0300

    genesys: Reuse scanner_stop_action() on gl841

commit 98ee100237f50a4cfadea060caf84cb763d50781
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:52 +0300

    genesys: Fix scanner_is_motor_stopped() on gl841

commit a00b8079ee68cc020a4b0ad10a5a775adac2c687
Merge: 1938bcfbeb68 b68fd960e302
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 20:37:19 +0000

    Merge branch 'genesys-cleanup-gl646' into 'master'

    genesys: Cleanup gl646 code

    See merge request sane-project/backends!413

commit b68fd960e302806dc2c2edd4be477c9f5fb9f1b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 06:19:22 +0300

    genesys: Simplify sensor setup on gl646

commit a3ad02c8bfbff31eb431aee2da562f21fce4e193
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 06:19:21 +0300

    genesys: Remove sensor setting duplication on gl646

commit 1938bcfbeb6869b1c324c4ba59315ffd8de5d68f
Merge: ff2ba89b068c ebfa38a73293
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 19:04:52 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!412

commit ebfa38a732930006ded4601de769ea986d195cee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:47 +0300

    genesys: Map motor flags to scan flags

commit 4c95e94f9b73575da697e7e1b5dfa42414ca002d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:46 +0300

    genesys: Move private functionality out of headers

commit afa96a227df1d44da1bfe6e41e49b997b059f00e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:45 +0300

    genesys: Reduce duplication of sensor setup functionality

commit d0855e513bfcc8f04d951753e61579ef257c9546
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:44 +0300

    genesys: Remove unused #defines

commit edda9bff25930455a039335c218c9738b713d3ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:43 +0300

    genesys: Simplify creation of command set

commit c0deb9b2c4e4d492cb7749a13df46e11aa1c7c68
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:42 +0300

    genesys: Use consistent model name for Canon CanoScan 5600F

commit ff2ba89b068cb1e7d545fe5e697ee398292f527f
Merge: 59743d7f296f ad4c8f5453a3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 18:45:03 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Reduce duplication in led_calibration

    See merge request sane-project/backends!411

commit ad4c8f5453a3b46cf5697cea517eb5db0098f445
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:23:07 +0300

    genesys: Reduce duplication in led_calibration

commit 59743d7f296f439752c12ec9fbe334eeb3e7c548
Merge: 3be9ac99a9f6 4aace34caa99
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 18:21:13 +0000

    Merge branch 'genesys-cleanup-gl841' into 'master'

    genesys: Cleanup gl841 code

    See merge request sane-project/backends!410

commit 4aace34caa99b3199e4a5754a9dc28c57b5d00b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:18:01 +0300

    genesys: Simplify led calibration on gl841

commit f6b606503c1127e0a4fea1ccc7e6c736f099f4d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:18:00 +0300

    genesys: Remove out of date comments on gl841

commit 6b49c6656c826ceec505de5faccc0edc69e2ff7b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:59 +0300

    genesys: Simplify motor setup on gl841

commit 2a9254c9988426b0df7c3968f6607eb69ce84056
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:58 +0300

    genesys: Verify that all sensors have required registers on gl841

commit 608cd18282317b58341afc297a9fca39800906d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:57 +0300

    genesys: Rewrap custom register lists in sensor definitions on gl841

commit 75f5ec405849ff2689ea20ba00cc90ee8b0de416
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:56 +0300

    genesys: Remove duplicate initialization during scanner setup on gl841

commit f37c3c55e4aeda487c739c2c5fb0f995ba9a7c84
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:55 +0300

    genesys: Simplify sensor setup on gl841

commit 3be9ac99a9f6adae8adee4a72ee022ccf7745536
Merge: 3ba284eeec8f 6fcf2c3f1342
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-18 04:15:20 +0000

    Merge branch 'document-canon-lide70-addition' into 'master'

    Document the addition of the canon_lide70 backend

    See merge request sane-project/backends!409

commit 6fcf2c3f13428290f5ce540fd7eb2a5061f94f52
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-18 12:59:07 +0900

    Document the addition of the canon_lide70 backend

commit 3ba284eeec8faecae4cf45b0d2efc755b08b76e3
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-04-15 21:50:05 +0200

    pixma: backend version 0.27.7

commit 598b836c05c9b5a671eda3a096823aad0b7690e2
Merge: 4d01195d2270 e17646a869b7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-04-15 19:47:27 +0000

    Merge branch 'k3a-pixma' into 'master'

    pixma: parse XML response sent by the scanner and present tips to the user

    Closes issue sane-project/backends#70

    See merge request sane-project/backends!386

commit e17646a869b7a0b1f3c80f9690f8b834d5788d99
Author: Mario Hros <git@reversity.org>
Date:   2020-04-01 18:01:24 +0200

    pixma: parse XML response sent by the scanner and present tips to the user

commit 4d01195d22704502d860fe51a0b171c435ac799d
Merge: 549e10314f9e 0638e84d1358
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-14 21:37:03 +0000

    Merge branch 'genesys-hp-4850' into 'master'

    genesys: Fix shading offsets on HP 4850

    See merge request sane-project/backends!406

commit 0638e84d1358f120c049289a3cef8bdc5732b802
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:21:05 +0300

    genesys: Fix shading offsets on HP 4850

commit 549e10314f9e4828b6358e3f91b69ace8cec78e5
Merge: ea7f8a58f224 6fc6fb7ea2e6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-14 21:35:50 +0000

    Merge branch 'genesys-calibration' into 'master'

    genesys: Fix multiple issues in calibration code paths

    See merge request sane-project/backends!407

commit 6fc6fb7ea2e68da4443dc44fba06757452e3f82b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:16:01 +0300

    genesys: Load calibration data in sane_start() not in sane_init()

commit a595875d8748668f4c21eca0e003db148d2bc4f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:15:21 +0300

    genesys: Bump calibration version

commit 7304a4bb783c8e37d01cd796915f48d09b55b0ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:15:10 +0300

    genesys: Fix out of bounds access during calibration on gl843

commit ea7f8a58f224ed3eae3563575fc11eb502725531
Merge: 5d08b64bc6f0 617e83b4e502
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 15:21:23 +0000

    Merge branch 'genesys-descriptions' into 'master'

    doc: Update descriptions of supported genesys scanners

    See merge request sane-project/backends!405

commit 617e83b4e502d79aa0541141f1d5191dccca2d7a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 18:05:36 +0300

    doc: Update descriptions of supported genesys scanners

commit 5d08b64bc6f031bbb58e6ccaf54fbb3400bb3395
Merge: 0932b751e0ee eec083f46a1e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 15:09:55 +0000

    Merge branch 'genesys-4400f-8400f-8600f-bugs' into 'master'

    genesys: Fix various bugs on 4400F, 8400F, 8600F

    See merge request sane-project/backends!404

commit eec083f46a1e7ccc63441642096d2b35c238ede7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:08 +0300

    genesys: Remove startup position hack on 4400F 4800dpi scans

commit 1125cf338a11991b7e6b6284ea90f5fb1bcbdd3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:07 +0300

    genesys: Update pixel start offsets on 4400F

commit 60da130402d8616d18244b32dc13390e05e882e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:06 +0300

    genesys: Fix Y scan area offset on 4400F

commit ea781b6b07956b0aa26cb190674d9e20fd85ec8d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:05 +0300

    genesys: Improve head positioning during calibration on 8600F TA scans

commit b788f2de8f948aff02d13043d7801ff1d7efa9d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:04 +0300

    genesys: Remove startup position hack on 8600F 4800dpi scans

commit aec867d1e8edc47c726453b40d349d1eeeb6356b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:03 +0300

    genesys: Support negative output_pixel_offset

commit f03b7ad29f4d6d7d4b15ab3e7d9addf22eb06d80
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:02 +0300

    genesys: Fix alignment of transparency scans of different dpi on 8600F

commit 82b42862abfb8f0b2473198486c416fe2aef9d25
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:01 +0300

    genesys: Fix calibration on 8400F

commit 6fea625ad6030e78218f089ff344a93baec4efaf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:00 +0300

    genesys: Support custom shading offset on gl843

commit 4b796205254c0b41370e806b07990117d1ea4444
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:59 +0300

    genesys: Fix shading resolution on 8400F 400dpi

commit 664c07c01a4502546ac89211211dcb8261c8877f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:58 +0300

    genesys: Add a way to configure shading pixel offset

commit df0fccf899d13269bd24952da30e17543f38dd78
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:57 +0300

    genesys: Fix incorrect handling of start position on gl843

commit 0932b751e0ee962650eb1bdea2b5fab79b019dc4
Merge: 1fc00f2b962f 922cabc0befe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 14:04:43 +0000

    Merge branch 'genesys-output-pixel-offset' into 'master'

    genesys: Allow to specify output pixel offset within model configuration

    See merge request sane-project/backends!403

commit 922cabc0befe832a965e67c866d3862f172978ba
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:43 +0300

    genesys: Remove no longer used ccd_start_xoffset

commit 87f5637a47f52499a2d87b12b5903db8b401c20d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:42 +0300

    genesys: Cleanup pixel position handling on gl124

commit bae938b4be6d74659201a68d40b0977df45de1d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:41 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl847

commit eca7a5ab91ef24fb172ffc683be4dcae1eeb5128
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:40 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl845/gl846

commit e5c46aee41083d5f1449dad6c1558560f3503755
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:39 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl843

commit dc00ab867bc80d84c5e2691e2a0f85158b480401
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:38 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl841

commit 648a24830f04ea6f972094828bdb9335b6246ac4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:37 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl646

commit 1fc00f2b962fcda4fbe3f87df9ce43961a360421
Merge: db828453fae7 3693f4b12d3d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 13:33:50 +0000

    Merge branch 'genesys-cleanup-pixel-position-handling' into 'master'

    genesys: Cleanup pixel position handling

    See merge request sane-project/backends!401

commit 3693f4b12d3dcbc47a6d60ed648c178f8018c4f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:59 +0300

    genesys: Simplify use of pixel_endx on gl124

commit cdefc1cae501503fed0aee43036ee4bb37386690
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:58 +0300

    genesys: Simplify pixel position handling on gl646

commit e920d1bbcea1dd6c2daf2014c775c3d472df42ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:57 +0300

    genesys: Add a way to specify output pixel offset

commit 94f130cdfa8c56bef77f24cce2a6d587fc426292
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:56 +0300

    genesys: Simplify pixel position calculation on gl841

commit 8b37d4b15e9a51d9d0412331b2ec74ac54195e24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:55 +0300

    genesys: Remove handling of XCORRECTION on gl646

commit 2bec01cf60a487f0752205d2e44586d18434b83d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:54 +0300

    genesys: Simplify optical pixel calculations on gl646

commit f4b60c48bba4d2c9b83b1d47e9115c2b90177a2f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:53 +0300

    genesys: Remove unnecessary pixel averaging handling code on gl841

commit 1f43e6a7f89e299e72f3b19f4ec42a8a2259ac65
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:52 +0300

    genesys: Remove unused handling of partial resolutions

commit 71f3dd8643667cf05bbc48203a31aefe18643e3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:51 +0300

    genesys: Make definition of optical_resolution more consistent on gl646

commit 6db2f94598a4d03d444bd08f5834f0afa8938648
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:50 +0300

    genesys: Remove unused configuration of ccd_size_divisor

commit 12269c5ad47471706259a0222561df9b90ff05e7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:49 +0300

    genesys: Prefer not to use ccd_size_divisor on gl841

commit 48c377b5f0a84887338fdfee2c74ead6cc08271f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:48 +0300

    genesys: Improve description of SetupParams::pixels

commit db828453fae7d9d8973caa0d582e61cc4bd05b4a
Merge: 4c254e3c3d4b 901827c8c72a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 13:31:04 +0000

    Merge branch 'genesys-canoscan-700f' into 'master'

    genesys: Fix support for CanoScan 700F

    See merge request sane-project/backends!402

commit 901827c8c72aef642e025d054546e80bacf15bd5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:29 +0300

    genesys: Disable currently unsupported resolutions on LiDE 700F

commit 35e48da4a89355750449730c62fd1da1a9d129de
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:28 +0300

    genesys: Fix invalid home position reporting on LiDE 700F

commit 4c254e3c3d4b1567066a4ec0f5e84509e936a6f3
Merge: 19d7b02d4adf 6a0e0eb5683f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-12 09:01:51 +0000

    Merge branch 'escl-adf-support' into 'master'

    Escl adf support

    See merge request sane-project/backends!300

commit 6a0e0eb5683f5a0654ab697ec96cdcf60e6c7b60
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-12 10:28:55 +0200

    Fix build

commit 3d02d2f1be192831b48c5abf686e10feaebba8e7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-12 10:17:33 +0200

    Changes the status when the trays are empty.

commit ba5f99273799e7408e919f627f68523c0ec3be13
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-04 17:11:16 +0200

    Fix all conflicts.

commit 4ed0b0fd59e5fd363967526de84b17fdeab690fc
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-04 16:29:41 +0200

    Fix conflicts

commit fa75c94b241743c48c66145c0e426883ad20420f
Merge: 59824f3d8343 f8193494ad23
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-04 14:04:18 +0000

    Merge branch 'master' into 'escl-adf-support'

    # Conflicts:
    #   backend/escl/escl.c
    #   backend/escl/escl.h
    #   backend/escl/escl_capabilities.c
    #   backend/escl/escl_crop.c
    #   backend/escl/escl_newjob.c
    #   backend/escl/escl_scan.c
    #   backend/escl/escl_status.c

commit 59824f3d8343410151eb8d3664d0f3b69935b698
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:37:49 +0200

    Fix style.

commit 8f5f815be107d6dcbf15430b654395e7e6cf20ad
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:33:55 +0200

    Moves to the next page for the ADF.

commit 4f8a6991a97606a30f6187dcff030366e5d738aa
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:23:49 +0200

    Calculates the cropping offset with the ratio.

commit dd9e30c8148afc91573080e1bde08765c6f64544
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:22:51 +0200

    Adjusts the cropping offset.

commit 81325dc773ef9f0aab8ea40bc81e05036cfbe25a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:41:53 +0100

    Fix build.

commit f4e6677fc1f1fa3d4862ac5b45f3428d434dd2a3
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:29:34 +0100

    Fix build.

commit 79f7463366aaaf8b9736833a63916931884ebf9c
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:14:23 +0100

    Refactoring the ADF mode.

commit 7caf9287971b1f59c478e38e87ff7e1750f55e46
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 23:42:53 +0100

    Correction of the return value of the scanner status

commit 136024355ddd87fa462dad840c44da2cfdd4b384
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 11:04:18 +0100

    Fix open device.

commit 505a2c220893963f85f11d5385c6ce9faf05f096
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 09:51:34 +0100

    Fix typo.

commit 41541da8ff2990cf6124c61a74ed679a2773ae46
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:37:28 +0100

    Fix few arguments to function 'print_xml_s'

commit 9315ad2ce6843eabfe3afcdaa667ca94d81e40ef
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:29:37 +0100

    Fix build.

commit f62f9be1dd3b5a98300910e1c2ab8c0a8a4d4736
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:21:49 +0100

    Fix variable type.

commit 682d238c08722e2c34c6b31a336cc293d563b444
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:13:42 +0100

    Fix build.

commit 0440234c36a031b9a3f76d72b89d169faa42908e
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:01:58 +0100

    Fix function proto.

commit 54136b8deb18dcefb8b80029f4f1823c58eed315
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-15 23:50:40 +0100

    If Adf, acquisition of the next page, if it exists.

commit cf94e585f54cee1b0e9f91290cf5f26525106e3c
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-15 16:57:14 +0100

    Full definition of ADF support.

commit 22416dece7aa6e7dd4aa563416a048fcc447f668
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-14 16:42:15 +0100

    Fix style.

commit beaba443855b40d58ac1c5263a064cafee492d5a
Merge: 749fe19febba 93df3050c45d
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-14 16:38:40 +0100

    Merge branch 'escl-adf-support' of gitlab.com:sane-project/backends into escl-adf-support

commit 93df3050c45da64747e8f35712fe679809b87d9a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-12 13:48:59 +0100

    Resolv conflict.

commit adc38bce0ebdbb73d406996208aaf0b956a47b9c
Merge: 899d9e90bc18 7b45c89b023d
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-12 13:23:02 +0100

    Merge branch 'master' into escl-adf-support

commit 899d9e90bc1870125ca0fd0520dd903db9187488
Merge: b2aea45ca416 aedebecef790
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-10 21:00:56 +0100

    Merge branch 'master' into escl-adf-support

commit b2aea45ca416c64b77a5dbfdd59dcc6ce82be282
Merge: 3c73e7031dae 7ae6ccfb3201
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-10 20:58:32 +0100

    Merge branch 'escl-adf-support' of gitlab.com:sane-project/backends into escl-adf-support

commit 7ae6ccfb32010eaa87efe6f158f927e8852c8701
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-09 16:58:12 +0100

    Call explicitly cancel.

commit 3c73e7031daeb24866a7e7e08a0537376ebfc440
Merge: 579e79da148c 28264dcfd825
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-08 20:55:28 +0100

    Merge branch 'master' into escl-adf-support

commit 579e79da148c85ac965cea01d15944c55f08292f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-01-07 19:25:38 +0000

    Remove debug.

commit 4f7fc379daa0552bc10a3a12b5b3e0560ad431bd
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-07 16:09:38 +0100

    Add support adf.

commit 749fe19febbaaf79558f508b1c117d3cdc4761a6
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-14 16:19:18 +0100

    Fix build

commit 1b3f0c9bc0e3e90fa39cb2598bc1c4d31c10806d
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-09 16:58:12 +0100

    Call explicitly cancel.

commit 2c12635b2360a757d4180a08a7222d5d388c8767
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-01-07 19:25:38 +0000

    Remove debug.

commit fd0a8a002602a8d480827210956b70c03f601f40
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-14 15:41:15 +0100

    Add support adf.

commit 19d7b02d4adf02e4fafd51e56f377d216cbb95ba
Merge: 3b1d7d59c146 7fbc7dda5457
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 13:16:48 +0000

    Merge branch 'genesys-fix-test-mode' into 'master'

    genesys: Fix test mode (part 2)

    See merge request sane-project/backends!400

commit 7fbc7dda5457247f966108c2393b3884d80b58c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:50:03 +0300

    genesys: Readd missed comment

commit 3b1d7d59c1460146dd581d9ac659c9b918ab731e
Merge: 13f943ec12c0 db50c9113235
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 12:38:19 +0000

    Merge branch 'genesys-reg-get-address' into 'master'

    genesys: Remove uses of sanei_genesys_get_address()

    See merge request sane-project/backends!399

commit db50c91132354e90c9fca3eddd10724da99d5bd8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-05 06:19:38 +0300

    genesys: Remove uses of sanei_genesys_get_address()

commit 13f943ec12c0c9b25e3b3fb6bfdb9beae4a87a1a
Merge: db6b862d7071 5ffd4039de04
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 12:37:30 +0000

    Merge branch 'genesys-fix-test-mode' into 'master'

    genesys: Fix test mode

    See merge request sane-project/backends!398

commit 5ffd4039de04b4a47ad0a5b6a7639bab11e14493
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:20:30 +0300

    genesys: Fix crash when exact usb device is not specified

commit 55972a3efaa180bafb5852124f6d6ecf05f2dd0b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:20:29 +0300

    genesys: Fix crash during testing mode

commit db6b862d7071d983d23b80c910bd634eabb3e552
Merge: 11cace00a8ac f48f0bf7d161
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 22:50:46 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Fix scan area size on OpticFilm 8200i and 7400

    See merge request sane-project/backends!397

commit f48f0bf7d161be018ce0f41eeec58f45f3fc564e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-10 01:14:14 +0300

    genesys: Fix scan area size on OpticFilm 8200i and 7400

commit 11cace00a8acb40b2ee2630c6db198d8cae5ed5a
Merge: 33b605279048 ea94970b6a2d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:13:27 +0000

    Merge branch 'genesys-warmup' into 'master'

    genesys: Fix and enable lamp warmup before first scan

    See merge request sane-project/backends!396

commit ea94970b6a2d22cec3af797bbce75120ef065259
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:13 +0300

    genesys: Enable lamp warmup on scanners that need it

commit f22dd4d7b204e1b1e328bc2234b7a022f88ede57
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:12 +0300

    genesys: Move lamp to transparency adapter if needed during lamp warmup

commit 21d9079eb760bceba9e95e9afb957def63ffcecb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:11 +0300

    genesys: Invert meaning of ModelFlag::SKIP_WARMUP

commit 8b653560476b5c74cc793880432de410c40a20ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:10 +0300

    genesys: Fix calculation of averages during lamp warmup

commit c2480ac0649aaa5af1540695e38e9b78a2ba18d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:09 +0300

    genesys: Simplify calculation of warmup success criteria

commit 40cb193cc37d1a348fb621511b86509280d63d2e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:08 +0300

    genesys: Fix debug messages during lamp warmup on 16-bit scans

commit 0ab6e786579441ac0ad87b4b67580a886c4ec151
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:07 +0300

    genesys: Compare all subsequent scans during lamp warmup

commit fa594d965d3903f258728ebd6eaaa7d3c9235332
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:06 +0300

    genesys: Correctly initialize warmup registers in transparency scans

commit 6420e00a38bbd239f33d407ad66e0b96e9178ad8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:05 +0300

    genesys: Don't hardcode depth during warmup

commit 4586ae4e563edba12fed630815360593a72a6ce5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:04 +0300

    genesys: Increase consistency of lamp warmup handling

commit 33b605279048ef72354efb2ef5f065b889c95289
Merge: 5cbb9eaae5d8 15b664fa3235
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:11:29 +0000

    Merge branch 'genesys-8600f-ta-position' into 'master'

    genesys: Fix position of transparency area on 8600F

    See merge request sane-project/backends!395

commit 15b664fa3235007130ad396161d9d3892c97e674
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:55:57 +0300

    genesys: Fix position of transparency area on 8600F

commit 5cbb9eaae5d833b1c7d7898d2df2bd8239b9b832
Merge: 14e9fb18773c 40b4852eb710
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:09:03 +0000

    Merge branch 'genesys-cleanup-device-init' into 'master'

    genesys: Cleanup device initialization

    See merge request sane-project/backends!394

commit 40b4852eb710673cd3d26c607a93e0a12f60376b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:30 +0300

    genesys: Remove unused argument out of sanei_genesys_asic_init

commit 0992b379c88d3f6cb740460c26dad91fca9d82ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:29 +0300

    genesys: Remove unnecessary scan out of gl841 initialization code

commit 57b0873a8303a0696a2b6416725a19f78cde2a47
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:28 +0300

    genesys: Don't move scanner head forward on startup on gl843

commit 14e9fb18773ce96603dd9c0f98e9e61aecf7eb75
Merge: f8193494ad23 0d1542cbe6f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:06:42 +0000

    Merge branch 'genesys-fix-usb-id-init' into 'master'

    genesys: Fix initialization of USB IDs

    See merge request sane-project/backends!393

commit 0d1542cbe6f3c85693e3495f032f1887cbda6c8e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:48 +0300

    genesys: Fix bcdDevice filtering

commit bb318cf8f31ea84540f80b32ef4558c35a494cf5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:47 +0300

    genesys: Simplify USB id retrieval

commit 13dffa0915fb76ad730fb558e451589fc6c7194f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:46 +0300

    genesys: Defer evaluation of bcdDevice until open()

commit 0e8f9c935eb764b5f7095ff4d9cdc82a8a5811c1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:45 +0300

    genesys: Correctly initialize test USB device

commit f8193494ad23dce78a2e2bdfa7825715ec29d2e0
Merge: 9723a83b2c35 bd6a2551a5db
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-04 04:35:45 +0000

    Merge branch 'newyearsbranch' into 'master'

    canon_lide70-sequel

    See merge request sane-project/backends!315

commit bd6a2551a5db9f771ace2362dbb80991ac86a3a9
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 21:00:03 +0100

    canon_lide70-common.c

    eliminate two spaces near new io_error

commit a0ddf165a77e08f970428d34e1b6bd1869e670b0
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 20:48:10 +0100

    canon_lide70-common.c

    adding empty line

commit 775a26471cfff2a80ad45104b2c90658fe001f3b
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 20:42:31 +0100

    canon_lide70-common.c

    eliminate u_long

commit 04fc970b2ed55df3ad1d0d253f4594c114088089
Merge: e6b1647a1b9b 70070f7be2b5
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 20:09:49 +0100

    Merge branch 'master' of https://gitlab.com/sane-project/backends into newyearsbranch

    resolve po/POTFILES.in

commit e6b1647a1b9bfe7c9b0974404c9358a737736a90
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 19:08:27 +0100

    canon_lide70

    extended canon_lide70.desc

commit 70b654239e213eb261d890866b9dfed1f3323bb9
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-03-10 19:03:33 +0100

    canon_lide70

    shortened canon_lide70.desc

commit d3a8d9ef89d3b209762cf325c9ded54ee4c3a3c4
Author: Pim van Tend <pimvantend@yahoo.com>
Date:   2020-02-04 19:20:40 +0000

    Update po/POTFILES.in

    to the current mainstream sane version, adding canon_lide70.c

commit ebd45d4cf87955c5eb59e49d2a7190fd60d5f3ef
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-01-04 16:18:57 +0100

    canon_lide70

    adding/modifying twelve files to provide the new canon_lide70 backend

commit d2d878d023bb65ad8ca2f9bd3c798961f7b36381
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-01-01 13:00:21 +0100

    precursor to the canon_lide70 backend

    left by @jrernst at http://www.juergen-ernst.de/info_sane.html

    this version of the backend does not work

commit 9723a83b2c35b1591198ee809518e48c1a5ba076
Merge: 911e40ba4eda f39a43953b57
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-02 11:05:58 +0000

    Merge branch 'zeroheure-master-patch-67644' into 'master'

    document JPEG compression level

    See merge request sane-project/backends!389

commit f39a43953b5700ac7dd31cc97d04a65c62524e3d
Author: Xavier Brochard <xavier@alternatif.org>
Date:   2020-04-01 20:44:49 +0000

    document JPEG compression level

commit 911e40ba4eda964927f3adacb766ed45e60729be
Merge: 6b318d808229 7f10387ab089
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-02 09:08:24 +0000

    Merge branch 'escl-fix-ratio-crop' into 'master'

    Escl fix ratio crop

    See merge request sane-project/backends!390

commit 7f10387ab089b35e042d51b82afbbef913c9b179
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-02 10:41:59 +0200

    Calculates the cropping offset with the ratio.

commit 6c0c360ce7b53fb195d9462649c734d83d13a42a
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-02 10:40:27 +0200

    Adjusts the cropping offset.

commit 6b318d80822955cb2aafb443652ee17aa15ebb71
Merge: 101d27e8db7b 8725559d4bc7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 18:45:49 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Update Plustek model status

    See merge request sane-project/backends!388

commit 8725559d4bc7a37122bbdc2250eb7a5c67e9b1b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 21:30:01 +0300

    doc: Update plustek model status

commit 101d27e8db7bd4665ab366079a1b7561ed74ce4d
Merge: 726e3e540768 0d5f5b54ed35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 18:17:03 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Enable support for several Plustek OpticFilm scanner models

    See merge request sane-project/backends!387

commit 0d5f5b54ed35ae21b1da5a14f725dba569ff998f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:57:01 +0300

    genesys: Enable bcdDevice filtering

commit 54f3b8efd17d2be6831f519c22247347a6ddb1ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:57:00 +0300

    genesys: Add support for early version of Plustek OpticFilm 7600i

commit bfd0b82d2b4f2770e8cc72af0cbde12d0f3210f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:59 +0300

    genesys: Add support for Plustek OpticFilm 8100

commit a2a121ab8c53bc3f2e1523f633ddbb1bc6e04815
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:58 +0300

    genesys: Add support for late version of Plustek OpticFilm 7600i

commit ea128674a65213fb9850ca7d2c6a4f594709f525
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:57 +0300

    genesys: Add support for early version of Plustek OpticFilm 7400

commit 4a1667865a50d6f34a70e2891e89830588b1a6ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:56 +0300

    genesys: Add support for Plustek OpticFilm 7200 (v2)

commit 726e3e540768279edad11a2b5d7985cb018d3511
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 22:54:02 +0200

    pixma: backend version 0.27.6

commit 05459de5e8e9ad1b25aa84453d2277d7c950b729
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 23:55:21 +0100

    pixma: print characters @ pixma_hexdump()

commit e58641a430a7f1b70edb40c2fe495923e02a35bc
Merge: 2fe8e635970e c47e1c0bd5fd
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 20:46:48 +0000

    Merge branch '258-fake-usb-playback-fails-with-pixma-backend' into 'master'

    Resolve "Fake USB Playback fails with pixma backend"

    Closes issue sane-project/backends#258

    See merge request sane-project/backends!353
    Need merge requests sane-project/backends!380 and sane-project/backends!381

commit c47e1c0bd5fdb953a6d0b3ba171f7c236dd95eeb
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 18:45:35 +0200

    sanei_usb: don't read data from timeouted interrupt

commit d2a43afce04943a40a43e8d6b57a069bcf5acb78
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 13:26:38 +0200

    pixma: get device id if we replay a xml file

commit fa9d240e7040bf0b4ddb7c00334febf49307ea9d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-10 16:22:30 +0100

    pixma: call sanei_usb_exit() on sane_exit()

    see: sane-project/backends#108

commit 2fe8e635970e9ef21a26a78f69eb58e5332fad1c
Merge: d6d3c0566fec d6fa8668183e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-31 17:55:02 +0000

    Merge branch 'sanei-usb-record-replay-descriptor' into 'master'

    sanei_usb: Add support for record/replay of get descriptor calls

    See merge request sane-project/backends!381

commit d6fa8668183e82232d82d1058d96b446e07b4904
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:41 +0200

    sanei_usb: Add support for record/replay of get descriptor calls

commit 77886e63874a38736ccdf4cb90f4cdf856d4064b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:40 +0200

    sanei_usb: Return correct error code in replay code path

commit d6d3c0566fec15197a43ac0daf2a8a19c9650cb2
Merge: 22b548bf2247 770b204702d0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-31 10:03:01 +0000

    Merge branch 'sanei-usb-record-replay-multiple-open' into 'master'

    sanei_usb: Support recording conversations within multiple open-close calls

    See merge request sane-project/backends!380

commit 770b204702d00d243d4739ad9b0d68d5800c1469
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:43 +0200

    sanei_usb: Support devices that are being opened multiple times

commit 7d97a1aaf46b8adf5808fdb4204e99af7a095c6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:42 +0200

    sanei_usb: Reset all testing data on exit

commit 62614a46609d85f03d9b73a826f8c94a3554e2b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:39 +0200

    sanei_usb: Use internal linkage for private static variables

commit 22b548bf2247d544493a825999f748af7e3a7f8c
Merge: b291a1793488 d5fdbb0c7dcb
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-30 11:42:02 +0000

    Merge branch 'escl-fix-capabilities' into 'master'

    escl - fix capabilities

    See merge request sane-project/backends!384

commit d5fdbb0c7dcbaa26e29b114f09844abdb0d52a52
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:37:35 +0200

    Revert "Offset correction"

    This reverts commit d7df235a7e74602c51b002a6962eb72937f623c3.

commit 062fb40cf42220d9ab440b185afbfe023d85a650
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:37:25 +0200

    Revert "Correction of the zone cropping."

    This reverts commit 67c7ef9c4e1463d853db190db22e7f652119d664.

commit 67c7ef9c4e1463d853db190db22e7f652119d664
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:35:28 +0200

    Correction of the zone cropping.

commit d7df235a7e74602c51b002a6962eb72937f623c3
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:30:21 +0200

    Offset correction

commit 6c855b7662fd2d8d4c3688176d74843207b56d55
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 16:20:16 +0200

    Fix build.

commit b4b1f2c7489912ec1243c576a6a6af1074565977
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 16:12:19 +0200

    Fix build.

commit 9afdd20776d06ff5cceae9087eae038cc6dfc285
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-03-29 13:53:42 +0000

    Fix initialisation variable.

commit 3066241e9037b2fb9b1a76c8ff02d97e94e345c5
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 15:47:44 +0200

    Sets the capabilities of the device according to the output format.

commit b291a1793488e3eaba7a42938f600869f358058e
Merge: ee54d3935f5c d06e42b08c8a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-30 11:40:07 +0000

    Merge branch 'fix-croping' into 'master'

    escl - Fix croping

    See merge request sane-project/backends!385

commit d06e42b08c8a6d4812af08f7ac81def33f3ffe1b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:42:38 +0200

    Correction of the zone cropping.

commit c6a8a541110a5cc946d949d32206710d9a21027b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:42:10 +0200

    Offset correction

commit ee54d3935f5c58dfdb36daf5bc7c8e82923bfbb3
Merge: 07f28a1ca63d 8ecd54e8d2d1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-29 12:32:33 +0000

    Merge branch 'escl-formatext-pdf' into 'master'

    Add FormatExt for PDF.

    See merge request sane-project/backends!356

commit 8ecd54e8d2d18d2a539d3625e7cf55df43570b0b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-14 22:17:34 +0100

    Add FormatExt for PDF.

commit 07f28a1ca63d384d365a04a67990e72c7843eaa5
Merge: 47689131a474 ce97560e56b4
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-29 12:29:56 +0000

    Merge branch 'openbsd-hotplugd' into 'master'

    OpenBSD hotplugd(8)

    See merge request sane-project/backends!375

commit ce97560e56b450764dedf52b35344818d2d77f76
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:15:37 +0000

    Remove double quotes, use curly braces where appropriate, and fix
    the $BUSNAME device node path

commit 6fed5be5f359b4f242feeee827c10827bddcf6ae
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:12:53 +0000

    $BUSNAME is a full device path, not just the device node name

commit 2c9a411b12a7272654ac49f0a20b579a91a4a292
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:05:04 +0000

    Remove superfluous double quotes

    Device nodes are always comprised of alphanumeric characters so
    there's no need to quote them. That being said, where appropriate,
    use curly braces if the variable doesn't terminate the string -
    technically, this isn't necessary as the character which follows
    is a dot ('.'), which isn't a legal character in variable names so
    there's no ambiguity but it makes the variable "stand out" at the
    very least.

commit d24a5171c2f22cfc384442872077baae14b303df
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:03:41 +0000

    chown -> chmod

commit 6b1b071b771cbf98684336194eb1f9f26a9f020f
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 03:02:56 +0000

    Group commands and add conditionals

commit 0d0c03ab686cacafc739677048d9fde741e7c212
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:48:53 +0000

    Change the owner as well as the group - missed earlier

commit 9687ff8aa0edf2b4f0207682eab395fcbbbefa6f
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:47:54 +0000

    Additionally to user:group, modes also need changing

commit 5a842d8dd6611bc283e78b3d1a4f9f489cc14774
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:44:37 +0000

    Remove useless comments

commit 0b978ea7422cc067f986a428e4e2d0c581bda8bc
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:25:50 +0000

    Simplify - use test(1) and && instead of 'if ... then ... fi"

commit a129b7767de601969e0ada6fdb836701e9662bc6
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:07:05 +0000

    Incorporate hotplugd(8) patches from the OpenBSD port

    https://cvsweb.openbsd.org/~checkout~/ports/graphics/sane-backends/patches/patch-tools_openbsd_attach?rev=1.3
    https://cvsweb.openbsd.org/~checkout~/ports/graphics/sane-backends/patches/patch-tools_openbsd_detach?rev=1.2

    While there, use "$()" instead of "``" for running commands in a
    subshell (this is to match `attach` change commited earlier).

    More whitespace fixes.

commit 61881417faf2ce8a67428d177f00a749d00622e3
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 01:59:59 +0000

    Provide a working hotplugd(8) attach example

    Current example not only doesn't work but also hard-codes `ugen0` device name.

    Fix whitespace while there.

commit 47689131a4741511221bbddd4d47a35fe58f0985
Merge: 59df3942f87a 9698bfece709
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 21:31:29 +0000

    Merge branch 'genesys-select-by-bcddevice' into 'master'

    genesys: Implement device filtering by bcdDevice value

    See merge request sane-project/backends!383

commit 9698bfece709ae429b17c3da40b91ae906af60cb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:48 +0200

    genesys: Add support for matching devices by bcdDevice

commit 0bdce7928f55b2706a29418b363c184ff9f8ba2e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:47 +0200

    genesys: Turn Genesys_USB_Device_Entry into a class

commit b89751605f1f677b86cc903e2ecff6f8d3b5e0be
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:46 +0200

    genesys: Add support for reading bcdDevice value

commit 59df3942f87a9c95ba85b6355b9f9078c899d78b
Merge: 7508a2174102 45dfd889e67f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 20:42:38 +0000

    Merge branch 'sanei-usb-record-indent-configuration' into 'master'

    sanei_usb: Indent the configuration section in recorded xml

    See merge request sane-project/backends!382

commit 45dfd889e67f80ef55f1fdd62d66c8c15c41f2d4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:44 +0200

    sanei_usb: Indent the configuration section in recorded xml

commit 7508a21741023ba08749901bdc656e74dc5a5aee
Merge: 4a960e960aca 5c1643291a15
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 22:04:15 +0000

    Merge branch 'lide-210-220-4800dpi' into 'master'

    genesys: Add 4800dpi support for Canon LiDE 210 & 220

    Closes #204

    See merge request sane-project/backends!374

commit 5c1643291a1542c7aaddbfacd18b569436580d17
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 21:32:11 -0400

    genesys: Add 4800dpi support for Canon LiDE 220.

commit 93f6bb19a9d83785b0447c2775e4e1a31ceaebf4
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 20:50:50 -0400

    genesys: Simplify GL124 shading data segment iteration.

commit 74f2af604bee59139b2277f916526271ae88977c
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 19:44:17 -0400

    genesys: Add 4800dpi support for Canon LiDE 210.

    Based on USB logs from Windows driver.

commit 4a960e960aca62860e4346569fc036bf766d58cf
Merge: bed29187f7bf e592a0c6f2de
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:24:08 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Fix x position of scan window on Plustek 7400

    See merge request sane-project/backends!378

commit e592a0c6f2de345c161695d0f1b9b77ec17c9c09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 23:05:49 +0200

    genesys: Fix x position of scan window on Plustek 7400

commit bed29187f7bf340a04d94c285dd5ba9e7787fcd7
Merge: 1fdb7021dfee 8068a958b221
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 20:20:51 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Add support for Plustek OpticFilm 7400 and 8200i

    See merge request sane-project/backends!377

commit 8068a958b221ee8cb6e9b76703175cc502b778fd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:30 +0200

    genesys: Fix setup of motor vref on gl846

commit 982d7d18aac3f24928d662ee9597caebb76eabfb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:29 +0200

    genesys: Fix log message when device is not supported

commit 6cb39e0a29142a832a6fe2ca772ff99be92d6a27
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:28 +0200

    genesys: Add support for Plustek Opticfilm 8200i

commit adaac29d90179e2e639c08ed0760d2125c4f9c19
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:27 +0200

    genesys: Add support for Plustek Opticfilm 7400

commit ef67ab08352604811462d55e766c85873d1f9d4c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:26 +0200

    genesys: Fix support for transparency scanners on gl846

commit 0fc25ed2d4a06465a2dcd9190a282846394b15b5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:25 +0200

    genesys: Fix motor setup on gl846

commit c3d7a02b0c2bacd54e82daf61dd3442c1c6f0ecf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:24 +0200

    genesys: Fix bulk data read from USB on gl845

commit 69bfaa725686ede10f67dd1ab784807cf24258eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:23 +0200

    genesys: Print MotorId as string instead of a numeric id

commit 71c81423fe5a591876cebedc63fcb3c6885ff977
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:22 +0200

    genesys: Print GpioId as string instead of a numeric id

commit 40d0641940c712cb3de488e3c749d04b98a5af1c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:21 +0200

    genesys: Print AdcId as string instead of a numeric id

commit 75da1523b89007ab142629c5f436436407f95146
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:20 +0200

    genesys: Print ScanSession::pixel_count_ratio when serializing to stream

commit 1fdb7021dfeefa6a59a0c265ae7a22990404bef1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-25 20:22:27 +0100

    pixma: Canon PIXMA TS3300 Series is working

    see merge request sane-project/backends!376

commit dd785110726fe69c999c362bece11c51835b303f
Merge: 03a135cafd3c 48bc45f46be2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-24 12:22:38 +0000

    Merge branch 'escl-unix-socket' into 'master'

    Add unix socket support to ESCL

    See merge request sane-project/backends!348

commit 48bc45f46be27c94dfe099f424683256c17fbb73
Author: Benjamin Gordon <bmgordon@chromium.org>
Date:   2020-03-05 14:53:42 -0700

    escl: Add unix socket support

    Curl can pass HTTP traffic through a unix socket instead of TCP with the
    CURLOPT_UNIX_SOCKET_PATH option.  This is useful if you have a proxy
    listening on a local socket between your computer and the scanner.  Now
    that URL parsing is centralized, take advantage of this to support an
    extended name scheme: escl:unix:/path/to/socket:URL

    These names won't be picked up on the network when avahi scans, but they
    can be passed manually with -d or added to /etc/sane.d/escl.conf.  If
    the existing escl:URL syntax is used, the socket is not set and the curl
    option is not used, so existing network connections work the same as
    before.

    Since local sockets are optional, the current conf parsing scheme
    becomes order dependent.  To avoid this, also add an additional "device"
    line type to the config parser. If a line starts with "device", the
    remainder of the line is treated as a complete device name/URL and
    parsed with the URL parsing added in the previous commit.

commit f6832f2a897d98f15c94a2c684e8c9d272caa594
Author: Benjamin Gordon <bmgordon@chromium.org>
Date:   2020-03-05 14:32:14 -0700

    escl: Refactor name handling

    Scanners are currently passed around by name, which is actually a URL.
    Each function parses the URL a little bit, depending on what it needs,
    and then sets the same curl options.

    This refactors parsing out into a single escl_parse_name() function
    called from sane_open and then passes around the resulting ESCL_Device
    instead of the raw name.  To set up the curl handle, the new
    escl_curl_url() reconstructs a URL from the parsed ESCL_Device and sets
    the appropriate options on the handle.  Each place that makes a curl
    call is updated to use the new function.

commit 03a135cafd3c16abec90a8a05f7900217a05f370
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 13:05:19 +0100

    pixma: backend version 0.27.5

commit 86a8780c0c08479f918a0eef3af31c53a5633314
Merge: a309a2a58d37 6e52b3f01ab5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 12:03:18 +0000

    Merge branch 'pixma/use-BT.709-luma' into 'master'

    pixma: for grayscale conversion use BT.709 luma

    See merge request sane-project/backends!373

commit 6e52b3f01ab5bbdc7b192895d3fd4819e49a7864
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 12:37:24 +0100

    pixma: for grayscale conversion use BT.709 luma

    Before we used linear grayscale conversion. This is not state of the art.

commit a309a2a58d37efa538e770e9b59f2d0d04948aea
Merge: 199b9eeef6ec e5e63f306af6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-24 11:30:46 +0000

    Merge branch '111-sane-backends-1-0-28-backend-gt68xx_high-c-100-bad-expression-testpicture' into 'master'

    Resolve "sane-backends-1.0.28/backend/gt68xx_high.c:100: bad expression ?"

    Closes #111

    See merge request sane-project/backends!369

commit e5e63f306af6c2f4d5ff4c458c1e5cae91963d86
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-22 12:40:17 -0700

    test: extra brackets to silence cppcheck warning.

commit 199b9eeef6ecc4ec411b4feaf8deef63d45a1c21
Merge: 2583158a5b04 56522b6a3585
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 13:17:23 +0000

    Merge branch '243-really-fix-build-failure-on-ubuntu-16.04' into 'master'

    Resolve "cannot build escl backend for Ubuntu 16.04 LTS"

    Closes #243

    See merge request sane-project/backends!372

commit 56522b6a35853025c46bdf14a2a252f8748d3dc6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 22:00:16 +0900

    Fix references to function check results

commit 00a7fd8f00b7ff671574557b4638451d1141b8b1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 21:59:41 +0900

    Add linker flags for JPEG library when checking for functions

commit 2583158a5b04a48db4391f6df4a8bb95f1b39363
Merge: 487b4a3a3c41 afdc2a159e38
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-22 17:10:37 +0000

    Merge branch '111-sane-backends-1-0-28-backend-gt68xx_high-c-100-bad-expression' into 'master'

    Resolve "sane-backends-1.0.28/backend/gt68xx_high.c:100: bad expression ?"

    See merge request sane-project/backends!363

commit afdc2a159e38359f7c71ace91f7aa7960281f702
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 20:27:52 -0700

    gt68xx: corrected | character to || to fix warning.

commit db9e4d4729ec562e1592659cba41baee757274a3
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:37:35 -0700

    mustek: added clarifying brackets to expression.

commit bc57c7ce5fc38859cb3c26540e2961b0a051a4c5
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:37:00 -0700

    kvs20xx: added clarifying brackets to expression.

commit 487b4a3a3c410bad61fc824cdc0c3ee87a627439
Merge: c99580b81195 28abffad3cb1
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-22 17:09:45 +0000

    Merge branch '116-sane-backends-1-0-28-backend-dmc-c-many-redundant-assignments' into 'master'

    Resolve "sane-backends-1.0.28/backend/dmc.c: many redundant assignments ?"

    Closes #116

    See merge request sane-project/backends!364

commit 28abffad3cb1c7f934dc3f33b9e12f370d613517
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 20:43:12 -0700

    dmc: corrected tl-x, tl-y, br-x and br-y option ranges, to eliminate compiler warnings

commit c99580b811959996f79a1f7278afddba20cfc69b
Merge: dab5594a5052 ef583d54f209
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 13:01:07 +0000

    Merge branch 'genesys-simplify-dpiset' into 'master'

    genesys: Simplify DPISET register calculations

    See merge request sane-project/backends!367

commit ef583d54f209b89d296b4678c7b880f6c47129cc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:32 +0200

    genesys: Rename dpiset_override to register_dpiset

commit 5bcb5f3e80e16583c447d10fb544d22d42f47ea1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:31 +0200

    genesys: Simplify shading resolution calculation on gl646

commit c8c9deaf6def7ea921ece64f490037d96bfa72ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:30 +0200

    genesys: Simplify dpiset calculation on gl646

commit 989782bd72431118457cb5c0262dc80acd7c73b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:29 +0200

    genesys: Simplify dpiset calculation on gl847

commit a43d362b7b35b7caa87d6ae70f9a7c577291db77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:28 +0200

    genesys: Simplify dpiset calculation on gl845/gl846

commit 4a5f65d2d2b488eb2c1792a14dac1a863e6f0e0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:27 +0200

    genesys: Verify that dpiset_override is specified

commit 94cfdbfdc699ae99468d0493f659f37328398399
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:26 +0200

    genesys: Simplify dpiset calculation on gl843

commit d9cd672a43faa5ae861e31c42a6d1496de5e0b4e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:25 +0200

    genesys: Simplify shading data upload on gl841

commit 459c62c131b4794d115c38b7a555d2415f7e9870
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:24 +0200

    genesys: Simplify dpiset calculation on gl841

commit cce3cdeaabc137aafdc8cd401242a96c98d8d2b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:23 +0200

    genesys: Update all sensors with calibrated exposure on gl841

commit 38cf079e99b011e78523c48fd3fbc66a128a6491
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:22 +0200

    genesys: Simplify dpihw register setup on gl841

commit 692178eade0e176fe28d56278140af0cd39e8675
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:21 +0200

    genesys: Simplify dpiset calculation on gl124

commit 79e403bb89b0f108488aab87d0d688528a714a3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:20 +0200

    genesys: Simplify register setup on gl841

commit f1368cb34c29c14d0b1cc660f241a71a55c14832
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:19 +0200

    genesys: Add comments with asic types of sensors to the sensor tables

commit 127e56978c9052a0900b4f16af2979f8d01c0bdd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:18 +0200

    genesys: Remove dead code in gl841 sensor setup impl

commit 8808fe777929650519532abc5fc34e5e4398c3da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:17 +0200

    genesys: Remove no longer used logical_dpihw_override

commit dab5594a5052faee59a8a25dc68d738bb054b889
Merge: 6ab010939ce1 1e116f12231c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:42:23 +0000

    Merge branch 'genesys-remove-hwdpi' into 'master'

    genesys: Simplify hwdpi calculation

    See merge request sane-project/backends!366

commit 1e116f12231cb1935140693433b61431899a09e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:47 +0200

    genesys: Verify that sensor tables are setup correctly

commit 4cc233cde8071b1ed1b1672a3ee06dc982749ade
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:46 +0200

    genesys: Add missed settings for HP N6310

commit eb5a643c0adf894d4df5b19caa8aedde202038ce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:45 +0200

    genesys: Rename register_dpihw_override to register_dpihw

commit c24886d7d7e97b0d82ead92b12b350bf27790f5d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:44 +0200

    genesys: Remove no longer used hwdpi calculation functions

commit 815d36c9c304d4f35f15fda568bee8f74552efbc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:43 +0200

    genesys: Simplify shading resolution computation

commit 163776a47910e0199ccda6aaaf4c0d4e5b5a9262
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:42 +0200

    genesys: Simplify dpihw and shading resolution calculation on gl841

commit 88989a1616ee53cb20587d4ce6242cb3a0b1a480
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:41 +0200

    genesys: Pass resolution setting to sanei_genesys_set_dpihw() directly

commit 2547f681f3056c960e37dfe76624b5706a1f9e7e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:40 +0200

    genesys: Remove no longer used ModelFlag::FULL_HWDPI_MODE

commit fd90ddefdc2d123f7316420696cef1266ac3c270
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:39 +0200

    genesys: Simplify motor setup to use only model id for vref on gl843

commit ca3ae12acfe1ef10641538efa3f8d3ae54e629a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:38 +0200

    genesys: Simplify sensor setup to use only model id on gl843

commit 2d7758f5f22f64e112adc221f119499928f31e51
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:37 +0200

    genesys: Simplify dpihw calculation on gl843

commit cf4ce94fc48ae6e4fb92d9386c85aac9bffd77ac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:36 +0200

    genesys: Simplify computation of SHDAREA setting on gl843

commit 0fca1185f57e3cc5d1e35aae868d88ea47f581ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:35 +0200

    genesys: Simplify shading resolution computation on gl843

commit f06238c97c568fc41f90e5c9187cbc8f557af57e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:34 +0200

    genesys: Simplify shading resolution computation on gl847

commit 3f6dcf84feff96ecb82bcc2f78fc3fda982cd680
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:33 +0200

    genesys: Simplify shading resolution computation on gl846

commit 0c0b4847283c9995c1b05c863163ae697adb30f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:32 +0200

    genesys: Simplify dpihw calculation on gl846

commit dd16101d44680ebe0096f175b7635eeed83f0b86
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:31 +0200

    genesys: Simplify dpihw calculation on gl847

commit a41ffe3c334d133edba624a224a6929b1ae4c975
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:30 +0200

    genesys: Simplify motor setup on gl846

commit fe8ffefe1b3e2c76ccef3f735340ec70b078ff10
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:29 +0200

    genesys: Simplify lamp warmup setup on gl843

commit 3c8b103d821b8e6c5b3f1e8bff7a690061973b1d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:28 +0200

    genesys: Simplify shading resolution computation on gl124

commit c0a94b9288ecd53d81d7ce70c4d178dd19f8b327
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:27 +0200

    genesys: Simplify dpihw calculation on gl124

commit 028c9d398f6b8c88bd72ed5cb5b7d3c012f04eac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:26 +0200

    genesys: Simplify calculation of shading upload parameters on gl845/846

commit 6e3713c87d4725526cca0e04dbba45f40a0ed029
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:25 +0200

    genesys: Simplify calculation of shading upload parameters on gl847

commit e54f15bcc8eb1abc648f966b8aa95f094dbafc6e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:24 +0200

    genesys: Simplify calculation of shading upload parameters on gl124

commit 6ab010939ce15a4cd403e97cf2f90aa251b4ce0b
Merge: 115bbf6a245f 7a86b487bda7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:34:05 +0000

    Merge branch '114-sane-backends-1-0-28-sanei-sanei_pio-c-3-bad-test' into 'master'

    Resolve "sane-backends-1.0.28/sanei/sanei_pio.c: 3 * bad test ?"

    Closes #114

    See merge request sane-project/backends!362

commit 7a86b487bda7f568812c6a77abfcd631716eecdc
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:28:56 -0700

    sanei: corrected fd validity check, which always used to fail.

commit 115bbf6a245f0a76ad5cd3aa3f8851128bef8582
Merge: 1ed4c7d8f558 94efec957eed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:18:46 +0000

    Merge branch 'genesys-remove-hwdpi-divisor' into 'master'

    genesys: Remove hwdpi divisor

    See merge request sane-project/backends!365

commit 94efec957eed2b1e53491d7fd1d24f34d6de8b8d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:10 +0200

    genesys: No longer specify per-sensor hwdpi divisor

commit 5a106f9e9ca479c37449ba6da007f252c608a0f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:09 +0200

    genesys: Remove remaining uses of hwdpi_divisor

commit 31d5382b2b5a906edd0467ec6939255706a67c71
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:08 +0200

    genesys: Don't use hwdpi_divisor for motor vref computation

commit ceb13f77d73dc2fcf0ab6a10eb6fe0e796091315
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:07 +0200

    genesys: Simplify physical pixel count computation on gl843

commit f34176edf28e6cdc173c037083b14ede918e8546
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:06 +0200

    genesys: Simplify physical pixel count computation on gl845

commit 5807e5d2981eb460c3a3822acbf460b41cf36cc9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:05 +0200

    genesys: Simplify physical pixel count computation on gl846

commit a1f10bf2bce3b0103e58d81dad8e32d40581f89f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:04 +0200

    genesys: Simplify physical pixel count computation on gl847

commit 576d1fcdbac394c3220a1467c67e8477251ebe35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:03 +0200

    genesys: Simplify physical pixel count computation on gl124

commit e2fc129b567aad2bb26f4b79479cac1228996d9e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:02 +0200

    genesys: Make handling of stagger more uniform across chipsets

commit 75d227f9c4dfe7395e49e2bb36b8a155b7891dce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:01 +0200

    genesys: Represent pixel count ratio as a class

commit b2b569a7436dd9e53362db0c53d80a430b686c73
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:00 +0200

    genesys: Add a way to override pixel coordinate divisor

commit 559b2e314fb75ac27fa7a975b1617ff73c78a3bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:28:59 +0200

    genesys: Make handling of hwdpi_divisor uniform across chipsets

commit 1ed4c7d8f5585de74a22bc0931a94d40b419e0d5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-19 16:11:06 +0100

    pixma: backend version 0.27.4

commit b113ef1285ee0ae59071aec6da05685d0c23ed90
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-19 16:09:38 +0100

    pixma: for Canon LiDE300 and LiDE400 map target 06 to cancel/end button

    see issue sane-project/backends#259

commit 120d8c0bd3227f25eb31b146f61908b6ed24d254
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-18 20:24:21 +0900

    README: Mention need for C++11 compiler for genesys backend

commit 787b89daeab2796845d6d24b9cd91859470b9a5e
Merge: e12b1e26aabe 4e9cbda3babc
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-17 15:51:35 +0000

    Merge branch '236-red-and-yellow-overlay-after-3rd-scan-with-simple-scan-epson-perfection-1260' into 'master'

    Resolve "Red and Yellow overlay after 3rd scan with simple-scan Epson Perfection 1260"

    Closes #236

    See merge request sane-project/backends!359

commit 4e9cbda3babc3d008a36d0097090e8ca5a2d6a71
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-15 20:21:16 -0700

    plustek: fix for gain loop computation to prevent buffer overrun

commit e12b1e26aabe1cea265210ec8f999dec4a69220b
Merge: a1888ae3bd28 db4cbd4185ee
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 12:16:38 +0000

    Merge branch '243-cannot-build-escl-backend-for-ubuntu-16.04-lts' into 'master'

    Resolve "cannot build escl backend for Ubuntu 16.04 LTS"

    Closes #243

    See merge request sane-project/backends!360

commit db4cbd4185eee2c00bbaefee7896c11e21f99888
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 20:46:34 +0900

    Add a build to prove that the previous commit fixes #243

commit f5af34e75f3c946ba2aa935d09036dc99a1ecebf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 20:43:16 +0900

    Add checks for newer JPEG API used by the escl backend.  Fixes #243

    The backend is excluded from the build if this API is not available by
    SANE_CHECK_BACKENDS.

commit a1888ae3bd285e94f0dbb982e2611a3960faa623
Merge: c7c5b1a602e4 3da269b7de53
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-15 16:13:53 +0000

    Merge branch 'genesys-duplication' into 'master'

    genesys: Reduce code duplication

    See merge request sane-project/backends!357

commit 3da269b7de5349b024c25edb1876ed22979bc345
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:38 +0200

    genesys: Use common code path for memory layouts

commit 718550e2d47b5f6168d256897efef6162ac09cf9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:37 +0200

    genesys: Add a way to flush GenesysRegisterSettingSet without read back

commit cb442169e4beb4bce2ae7f0008739e6171361644
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:36 +0200

    genesys: Implement a way to serialize ModelId

commit c1d4369410263fe5014ab41c4201f32e8375c31d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:35 +0200

    genesys: Reuse generic value filtering code for scan method filtering

commit c234ce6b77e623f7adfcf5ddd80b7d77ea102ecc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:34 +0200

    genesys: Add generic value filter class for resolutions filtering

commit ee2e026f2a5e86dd9188abc1277861cfd39d8cb0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:33 +0200

    genesys: Don't overwrite RAM settings

commit ea5047466ce0ade9bd5176caef18cbbe4260ce7b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:32 +0200

    genesys: Reuse common gpio code on gl846

commit 31fecb81407dcdbf10715b3f7f3667cf49e00c42
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:31 +0200

    genesys: Clean up motor setup on gl847

commit b307eba5cca35f247175fd66e68a1c6a075d2177
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:30 +0200

    genesys: Clean up motor setup on gl846

commit 884de5f9fe5f7303950d82fb1fb0d90197ccdd20
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:29 +0200

    genesys: Clean up motor setup on gl843

commit cd43109966d8655a3f49f3a0f0e96866cf16b76e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:28 +0200

    genesys: Deduplicate gain calibration

commit 233cb4bd5a5050c2867447d9c9c3e0f17c7c6eb4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:27 +0200

    genesys: Use single code path for gain code calculation

commit e0bec6723d893cc1d0624d5cdae3bf0b82fdeff1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:26 +0200

    genesys: Deduplicate offset calibration

commit 255da97fcb9862e3b8fbea8b73ead3241b8501c8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:25 +0200

    genesys: Remove get_closest_resolution()

    All gl646 scanners have sensors for all supported resolutions

commit 428293c1e26c5f3c1a7ab87ef6717264d572bf24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-14 23:19:24 +0200

    genesys: Reflow sensor tables

commit c7c5b1a602e44f0bf4132f4259ca0481a53b3a25
Merge: 93fd01866e07 82515511a60c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-14 13:08:41 +0000

    Merge branch '224-enable-avahi-support-by-default' into 'master'

    Enable Avahi support by default if possible.  Re #224

    Closes #224

    See merge request sane-project/backends!355

commit 82515511a60cc3fa6d3e7f2453ffce0cab62da7a
Merge: 0f857f94cd84 168e22a9416f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 09:03:31 +0000

    Merge branch 'master' into '224-enable-avahi-support-by-default'

    # Conflicts:
    #   .gitlab-ci.yml

commit 0f857f94cd84141e80eab816b49d016d7066da25
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 16:02:10 +0900

    .gitlab-ci.yml: Follow Avahi configure option rename

commit f8c4bb77de38df28151008f03916ba9e01f22151
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 15:48:58 +0900

    kodakaio: Update Avahi configure time option documentation

    It has been removed from the command-line examples as the default is
    to enable when possible and the Ubuntu example says to install the
    necessary libraries.  The avahi library reference has been fixed.

commit cf7227b59848ce7d124f7494c607b8c924a7b153
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 15:48:19 +0900

    Pass Avahi related preprocessor flags where needed

commit 53875a52388f2477cef67b4cc13359caa99fff8b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 15:46:03 +0900

    Fix WITH_AVAHI preprocessor conditionals

    The macro is now always defined to either 0 or 1.

commit f4b7e22bc0baec8819dcaf8659866d17d00c2cc7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 14:54:10 +0900

    Enable Avahi support by default if possible.  Re #224

    This eases building of the escl backend and aligns configure time
    behaviour with other --with-* options.

commit 93fd01866e07097c8eca596034c1fef14cf40890
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-14 13:53:56 +0100

    INSTALL.linux: add missing development package

commit 168e22a9416f03cf2c1133e34ca50005b9ede8a7
Merge: 0033357120d8 5dcd770e5e22
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-14 09:01:17 +0000

    Merge branch 'escl-lineart' into 'master'

    Escl lineart

    See merge request sane-project/backends!339

commit 5dcd770e5e223a2099a6ea6d69e5560432355144
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-03-14 09:01:17 +0000

    .gitlab-ci.yml: Revert poppler related changes

    The Docker images used by CI have been updated to include the required
    packages.

commit 0033357120d8d6506e8eaece09cdb4e98ec3739e
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 13:21:12 +0100

    pixma: backend version 0.27.3

commit dd3515ce3f1e6f95b9b2b786a0a877df1426d966
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 13:20:43 +0100

    sane-pixma.man: update document date

commit b956a3cef04cdb7f7e50658b3143d425c762b2a5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 13:19:31 +0100

    pixma: update copyright

commit dbc966e97ed0b8f0038f563298c625f374dea823
Merge: 7322b5aff046 c4af1318487f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 12:14:42 +0000

    Merge branch 'pixma/new_scanners' into 'master'

    Pixma: new scanners

    See merge request sane-project/backends!354

commit c4af1318487f798fccc6010e248094c6d9952865
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 12:40:21 +0100

    pixma: new scanners Canon PIXMA G7000 and GM4000 Series

commit 2b076de25f624811f29f75baeab2316b7760305c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 10:27:17 +0100

    pixma: new scanner Canon i-SENSYS MF720 Series

commit 7322b5aff046623140694b2ba1f04de5efa73524
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 12:53:05 +0100

    pixma: restrict ADF scans to 300dpi for Canon i-SENSYS MF440 Series

commit e83c56658e9d7e99ef36dc08bcb7d2f467646e37
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 12:49:53 +0100

    sane-pixma.man: align table of supported scanners

commit b9a19d0cef9de8cebc472f6c434ab88174670a16
Merge: 70070f7be2b5 20419f9815d3
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 11:43:49 +0000

    Merge branch 'patch-1' into 'master'

    pixma: detect MF440. Fix #257

    Closes #257

    See merge request sane-project/backends!347

commit 20419f9815d392ceae01264fa272a6b74c1b58f6
Author: Jérémy Lal <kapouer@melix.org>
Date:   2020-03-07 17:45:31 +0100

    pixma: detect MF440. Fix #257

commit 70070f7be2b587b85f8d058b2b6769aa5dbd2d1e
Merge: 9f9536709c28 5441ea1c518e
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-08 17:04:26 +0000

    Merge branch '233-additional-sensors' into 'master'

    Resolve "Regression tests: HP Scanjet 5400C"

    See merge request sane-project/backends!351

commit 5441ea1c518e18c06b6ff0fca4a277eb896787a3
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-07 19:55:52 -0800

    hp5400: use standard defines for "color" and "grey" texts

commit 19d033837e43f18bb1474851ae0e8ce713c478d5
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-07 15:37:14 -0800

    hp5400: fix cancel bug that caused a crash when cancelling a scan or a preview

commit 28bcb9179d2ac2fb506fe570e14a0f8a7de42189
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-07 14:36:27 -0800

    hp5400: added support for editable colour/bw switch and copy count sensors.

commit 9f9536709c28a3cbd72cf37263b58b5f7cad02a1
Merge: 090973fa94f4 10620841b0a6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-08 13:11:41 +0000

    Merge branch '228-remove-sane-desc-timestamping' into 'master'

    Resolve "Make sane reproducible"

    Closes #228

    See merge request sane-project/backends!352

commit 10620841b0a6b4be524ed50cf639097b3e9c9e93
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-08 21:56:10 +0900

    Run through all sane-desc modes before signalling failures

commit ea65e1b2ae692cef9d5dbd71e4c76b22951c3869
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-08 21:38:45 +0900

    Drop diff ignore pattern from sane-desc check.  Re #228

commit b9651d5e19ccdc178707944a74d7267178c081d0
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-08 21:36:06 +0900

    Update test reference outputs to match new sane-desc format.  Re #228

commit 1f9590ab5a2467d8ac4bf5db143ab61df7d1b93e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-08 21:29:29 +0900

    Remove timestamps from sane-desc output.  Re #228

commit 090973fa94f47ff6994b068d33b1d02d527df0a7
Merge: 960394b1e4ab 6d2dda4a9860
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-07 09:35:18 +0000

    Merge branch 'for-upstream/backend_avision_nonfilm_noexposure' into 'master'

    backend/avision: Disable exposure option for non-filmscanners

    See merge request sane-project/backends!23

commit 6d2dda4a986070c8fea68ac2df9b6527a045e1ab
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-08-26 13:47:44 +0200

    backend/avision: Disable exposure option for non-filmscanners

commit 960394b1e4aba8130d3d2b4d0acd6038ce31da33
Merge: 6fe58ec210c4 c16ff3ffe0de
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-07 09:25:59 +0000

    Merge branch 'for-upstream/backend_avision_fix_threading' into 'master'

    backend/avision: fix thread cancellation

    See merge request sane-project/backends!21

commit c16ff3ffe0de9770a7af25368aaac443d3db03dc
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 19:01:01 +0200

    backend/avision: fix thread cancellation

    sigprocmask does not work for threads but only for forked processes.
    Even though a thread-safe version, pthread_sigmask, we do not use it
    since using singals with threads is a bad practice. Instead implement
    pthread's own cancellation method. Because sane_read blocks when
    reader_process is terminated, read_fds is closed and invalidated to
    make sane_read abort read and return gracefully.

commit 6fe58ec210c418b674af42c9c6e752f66eaed2f8
Merge: 953bea63bb1b 67cb40d0f5fa
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-07 05:14:11 +0000

    Merge branch '254-remove-sane-standard-documentation' into 'master'

    Resolve "Remove SANE Standard documentation"

    Closes #254

    See merge request sane-project/backends!350

commit 67cb40d0f5fab9c58a4486b915b3a19fada3e684
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-07 13:58:27 +0900

    NEWS: Document SANE Standard removal

commit 11d59a6d75b930cd40f2e65d13d7b78783553946
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-05 21:20:38 +0900

    doc/.gitignore: Remove SANE Standard related files and patterns

commit 599186fdb23ddaf24f1eaf573660e5668fbd62fc
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-05 21:18:49 +0900

    kodakaio: Remove reference to removed --without-api-spec option

commit d4d5d76e83aaf1f841bb41122ea040bce2591d46
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-05 21:14:34 +0900

    Update references to the SANE standard

    The authors have been added to SANE standard itself, pointers to the
    standard now point to the published version and/or the project that
    isnow used for its maintenance as appropriate.  References to input
    files and installation locations have been removed.

commit 2db06a272e0c455f6764e18ed090aa65b5640c6e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-02 20:19:07 +0900

    Remove SANE Standard build support

commit 73db94b706aaff99734965f0bf3822109ff2e96b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-02 20:03:37 +0900

    Delete SANE Standard input files from the repository

commit 953bea63bb1b0d66d8c660ef8303c7ee7e9bc596
Merge: 0a5f2f98ffed 2739969661e6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-07 04:36:08 +0000

    Merge branch 'escl-fix-parsing-location' into 'master'

    Fix error parsing Location job.

    See merge request sane-project/backends!349

commit 2739969661e64484465a175f087b6d2d306d51d2
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-03-06 10:58:31 +0100

    Fix error parsing Location job.

commit 0a5f2f98ffed60e2762ad2064190a47d33cd7993
Merge: 5da64adadff6 a34382c67b2e
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-06 17:19:44 +0000

    Merge branch '233-scanimage-mods' into 'master'

    Resolve "Regression tests: HP Scanjet 5400C" - scanimage

    See merge request sane-project/backends!345

commit a34382c67b2e73a9ad466b4c337c935d2ade7ab5
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-05 09:19:53 -0800

    hp5400: some small corrections to button descriptions.

commit 180ecf7b414ab229dc3d17b657a4e1e9f759b578
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-05 09:18:20 -0800

    scanimage: revert previous range change.

    It is not settled that this change is favourable and is probably out of scope for this issue.
    I will leave it for the moment.

commit dd078cd17df04f3075962ee3b061529f44ffecb5
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-05 08:58:54 -0800

    hp5400: Added support for all buttons.

    Support to read copy counter display to be done shortly.

commit 4f6b7665a8815e196e004e18e3711c562b22e934
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-03 09:56:39 -0800

    hp5400: small enhancement from review to reduce code and increase clarity.

commit 4948130f7c8cae85d2073f5f1be40f709ce2dae9
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-01 23:31:23 -0800

    scanimage: various small corrections and little changes to enhance clarity.

commit 2868e9e346356743927259f6c50c6524e99287c9
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-01 23:30:03 -0800

    hp5400: corrected source for default values.

    Just correcting a mistake from the previous check in.
    Also substituted value variable for clarity.

commit 385543519b1d8e3971bb97641ff878d80a19bdc8
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-01 22:53:48 -0800

    scanimage,hp5400: added option checking for hp5400 and rationalised scanimage help

    h5400 now checks validity of -l, -t, -x and -y and auto selects a supported resolution.
    scanimage now shows the full range for -x and -y despite other selections.

commit 5da64adadff6f28452384de1ae545b668982fe46
Merge: f24001e46eaa acfab5b7022a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-03 10:00:17 +0000

    Merge branch 'escl-load-conf-segfault' into 'master'

    Reshaping the loading of the device configuration from escl.conf.

    See merge request sane-project/backends!340

commit acfab5b7022a3d1813aeefc9273e6221a0a32d95
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-01 14:54:00 +0100

    renaming the function with a more descriptive name.

commit d572db20444376d5005486a7d3e13f78a6ca34d7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-01 14:48:08 +0100

    code readability.

commit 8870081e5731644d54d24e2a848a5894695ac9b9
Merge: 5503bf8e676a d4aa676f7296
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-01 14:44:57 +0100

    Merge remote-tracking branch 'origin/master' into escl-load-conf-segfault

commit 5503bf8e676a062922b7b939e8a1370521ac4649
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-02-21 22:50:23 +0100

    Fix the 0x0 geometry problem.

commit c23cc87e526e821dac19f88c67529a518d895f8d
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-02-20 09:25:42 +0100

    Reshaping the loading of the device configuration from escl.conf.

commit f24001e46eaa9c3dba39f1003371012907307a80
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-02 16:14:42 +0100

    pixma: backend version 0.27.2

commit 3c0f8189ddf29c539a4e2b5153be4057e9a7b737
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-02 16:13:46 +0100

    pixma: fix device define for Canon i-SENSYS MF110/910 Series

commit d4aa676f729623e5fce6dc98f0096edafad2dd95
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-02-28 15:36:35 +0100

    INSTALL.linux: add missing development package

commit dd59aea71b0a0c696dd139e2d7835501d05584c1
Merge: 993a79b594a5 93a0971576da
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-02-25 18:20:41 +0000

    Merge branch '233-regression-tests-hp-scanjet-5400c' into 'master'

    Resolve "Regression tests: HP Scanjet 5400C - scan defaults"

    See merge request sane-project/backends!321

commit 93a0971576da97aaaf7c62f6ad3c70e9e1ad94c9
Author: Ralph Little <skelband@gmail.com>
Date:   2020-02-01 11:48:28 -0800

    hp5400: Change defaults for -x, -y, -l, -t for full page scan.

    Official doc says that the max length is 297 not 300 (which scans a bit of the plastic case at the bottom)

commit 993a79b594a51991e2e00fed8f25b629429504fb
Merge: 0d0c9f76b432 d8f09656b237
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 14:36:17 +0000

    Merge branch 'genesys-duplication' into 'master'

    genesys: Reduce code duplication

    See merge request sane-project/backends!344

commit d8f09656b23756e7a6dccb35216c23a982bcecde
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:57 +0200

    genesys: Deduplicate strip searching functionality

commit 5854246e88b053a7a77ead87491f5e5e88df0fec
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:56 +0200

    genesys: Remove duplicate way to retrieve register dpihw

commit 01bd9b3cb227763f4096fb0f660b1a40e3ada118
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:55 +0200

    genesys: Use register_dpihw_override to override dpihw

commit 4da92aaa507e81e90675ad6a0a45d59c71498e38
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:54 +0200

    genesys: Reuse scanner_clear_scan_and_feed_counts()

commit 8735e965ee34acbb72129f4d8bed74c18ed996c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:53 +0200

    genesys: Reduce duplication in init_regs_for_scan()

commit e0d7d74cdd60fe4604b14cb1f32cb5a313bdc24a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 11:02:52 +0200

    genesys: Inline sanei_gl841_repark_head()

commit 0d0c9f76b4326b09cf91641f3a2c891d68d434a1
Merge: 881b17c65f3a 793703c93e29
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 14:18:04 +0000

    Merge branch 'genesys-remove-search-start' into 'master'

    genesys: Remove start search functionality

    See merge request sane-project/backends!342

commit 793703c93e29f672c97e1a6e8b32bae9eea06f86
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:28:19 +0200

    genesys: Update scan geometry on ScanJet 2300

commit 6653ec0ae65eda268033d40287f6f7e0084f1c8b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:28:18 +0200

    genesys: Remove support for shading calibration without moving

commit 2cf05553c017e6ddef48fbd292d7a63ed927ed77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:28:17 +0200

    genesys: Remove no longer used code related to start position search

commit 5f8129b2d006a8ea9e7aa39da5b807bea8b25639
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:28:16 +0200

    genesys: Disable SEARCH_START on gl646 scanners

commit 511969ded07d8f6e55fd20a13cc3c296422215b0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:28:15 +0200

    genesys: Remove dead code on gl841

commit 881b17c65f3ab28f0203edba358c9b03b088eed5
Merge: fff74519f665 37297fdad3aa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 14:10:46 +0000

    Merge branch 'genesys-sensor-width' into 'master'

    genesys: Define sensor width in mm

    See merge request sane-project/backends!343

commit 37297fdad3aa5746bd9bfabe79a2934ae9e5e397
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:48:27 +0200

    genesys: Simplify definitions of x_size_calib_mm

commit 9d7aa61544a749d76c8435f8b8f68165416600bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-22 10:48:26 +0200

    genesys: Define the width of the sensor in mm instead of pixels

commit fff74519f665b9da129e21d316607c51d7f9d506
Merge: 50f02fc3f261 94ab4e2891e2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-21 21:14:42 +0000

    Merge branch 'genesys-canon-4400f' into 'master'

    Fix flatbed scans on Canon 4400F

    See merge request sane-project/backends!341

commit 94ab4e2891e24c069cdfb68b7402f27d68da49b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-21 22:40:34 +0200

    genesys: Fix shading calibration start position on 4400F

commit fa9f5370b2c2babfd63e8442ecff0f567053898f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-21 22:40:15 +0200

    genesys: Turn off offset calibration on 4400F

commit 50f02fc3f261ea582ed599cc5124c85cae2ae4c2
Merge: 494aa15141d5 4c395182be62
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 23:05:26 +0000

    Merge branch 'genesys-remove-unused-code' into 'master'

    genesys: Remove unused code

    See merge request sane-project/backends!338

commit 4c395182be6214899b57991ef7b5c3c5081f99c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-17 00:49:14 +0200

    genesys: Remove no longer used coarse calibration ced path

commit 9e3bf1e1e26ed466071055809058379506e902ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-17 00:49:13 +0200

    genesys: Remove OFFSET_CALIBRATION as it's used on all scanners

commit 494aa15141d52b526839453fa3b99af94caf33d4
Merge: 00d528b28cbf fff395928144
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 22:21:05 +0000

    Merge branch 'genesys-calibration-area-config' into 'master'

    genesys: Improve calibration area configuration

    See merge request sane-project/backends!337

commit fff3959281448a6cd788340904d9d6fdefeb9f71
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:19 +0200

    genesys: Increase low-brightness gain threshold

commit 88d9c086456c76290d6c9b696016a6c6be659e3a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:18 +0200

    genesys: Use scanner_move() on gl841

commit 4261549e2d4a0ddee0d7e48a51c7b67a02736725
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:17 +0200

    genesys: Use separate settings for dark-white calibration area geometry

commit aaf8a2fd49bd1afd79caa20e6d26484b8c2331a8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:16 +0200

    genesys: Simplify model table by not definition optional fields

commit 4a11453b06e7c17733db0521097740d4c1ce56bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:15 +0200

    genesys: Use matching xdpi and ydpi when calibrating shading on gl841

commit 300bd3e645e6d2cb5648605dadc68d68262aca5a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:14 +0200

    genesys: Fix incorrect calibration position due to rounding on gl841

commit 63adf8eb803afa8b061ba159977919295894073f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:13 +0200

    genesys: Fix geometry of calibration strip on LiDE 60

commit 1e817987aa01ed2a427bc75b8bfee5d8af81f10a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:12 +0200

    genesys: Fix geometry of calibration strip on LiDE 50

commit dcd5982de1273f3be5d7425634bd25ecd0e2c3c6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:11 +0200

    genesys: Improve LiDE 200 motor tables to fix lock-ups

commit 38b921e844c2d7c6d92d167662fe57696fe2ca0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:10 +0200

    genesys: Improve LiDE 100 motor tables to fix lock-ups

commit 55000d82ac9f7e22a04d200742ae595ea45f6787
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:09 +0200

    genesys: Simplify shading line calculation by defining distance in mm

commit 1a55cc99e4bc064544513d7fd5ca95a6a93ce9be
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:46:08 +0200

    genesys: Don't ignore stagger or color offsets when acquiring calib data

commit 00d528b28cbf831a41006117a4f4d6f231d5cd29
Merge: 1fa3086cab4c 3f313376a7bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 22:00:12 +0000

    Merge branch 'genesys-misc-fixes' into 'master'

    genesys: Miscellaneous fixes and improvements

    See merge request sane-project/backends!336

commit 3f313376a7bda879e86923440791f524d8e57606
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:30 +0200

    genesys: Remove unnecessary register write during init on gl843

commit b70b305d27e54e30ed806dba6af5942cea12bf35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:29 +0200

    genesys: Use fast motor tables on all gl843 models

commit 2a3d5150cb9e207cad8ad201bd2555179091381e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:28 +0200

    genesys: Simplify handling of fe register writes on gl843

commit 5b9aad649e43d572a98be01229adbdc5c968e289
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:27 +0200

    genesys: Stop scanner after moving head on gl843

commit 498b52fe98847e34fcf59c65b11e85c8a719a6fe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:26 +0200

    genesys: Use same buffer and gamma write method on all chipsets

commit aca291906c08d649f1ba9ef4502405e97fe3af46
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:25 +0200

    genesys: Remove unused debug code

commit dcfa45c5cdca7b18a929b8a5f00ce952f278317b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:24 +0200

    genesys: Move gamma address reset to scanner interface on gl843

commit 9eb13d5a10b7a317b7f90512dc02c9958643fa12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:23 +0200

    genesys: Remove reads from registers that are immediately overwritten

commit 7619e95eaef2fc3c3a35a44c9319ab2ee61d9264
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:22 +0200

    genesys: Cleanup progress message setup during calibration

commit 537569926076537b5e02a91395f31c3027230033
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:21 +0200

    genesys: Use same method to clear scan and feed counts

commit de7375c7bb0961c642f020704815f502ceea3573
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:20 +0200

    genesys: Remove legacy buffer handling code

commit 000b28dd301e8a37874bdcace39b24609cf31ce0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:19 +0200

    genesys: Only ensure full exposure value is nonzero, not each byte

commit ddd72058b65f3412c03abe4d8db40921155058bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:18 +0200

    genesys: Reuse sanei_genesys_fixup_exposure()

commit b2d378d413f6f481818054af9670acf47853e390
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:17 +0200

    genesys: Make sure we don't set exposure to zero

commit 054a73c02c4372561604b88a7a9df3a94ed1b50d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:16 +0200

    genesys: Fix calculation of secondary head position on gl843

commit b8fbdd346adda536d807e735d3b21c600b8d7a42
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:15 +0200

    genesys: Fix incorrect register definition on Canon 8600F

commit 51b09eec5c5f9e308b129215efb324ad14d79fb6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:14 +0200

    genesys: Don't set powersaving when setting cache expiration time

commit 9bb7ed64b6eca1417cfd42ebce10eab647b82b8c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:13 +0200

    genesys: Fix initialization of shading data when scanning in gray mode

commit 6ab142155c4ed755355e8a086806b8b7419dea7a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:12 +0200

    genesys: Correctly shutdown lamp on OpticFilm 7200i

commit b78ea2913087d37f477dee78014fc533bd9b9b92
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:11 +0200

    genesys: Don't try to turn off XPA lamp when shutting down regular lamp

commit 2b584095ad8edb962b03502ee6615826579b236f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:10 +0200

    genesys: Remove no longer needed head movement workaround for LiDE 210

commit 883114f722441c310450eb9ea3651a76499f03f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:09 +0200

    genesys: Use similar scan session for head movements

commit b54d12bc4daed7d5f8617aead4c3ed78ff71aff8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-16 10:41:08 +0200

    genesys: Define SetupParams::startx in terms of xres

commit 1fa3086cab4c9a1df1737de527b3f1726e4697d0
Merge: d72e07c6714c 2428efd6af75
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 15:49:17 +0000

    Merge branch 'genesys-canon-4400f' into 'master'

    genesys: Implement transparency support for Canon 4400F

    See merge request sane-project/backends!335

commit 2428efd6af7586358809a5d9704fda32687c9396
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:44 +0200

    genesys: Fix host-side calibration when scan start position is not zero

commit 6e7fc639f5b05899928966eee722976addf6266c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:43 +0200

    genesys: Add initial support for transparency on 4400F

commit aec9d7484532f1db374313b7d8048a4ad6513f45
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:42 +0200

    genesys: Improve 4400F motor tables

commit 207f67e30350621ed3d36a6dbc5c7e90e9f5fd41
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:41 +0200

    genesys: Use fast tables on 4400F

commit a1e292b8e3069a2eca68bcba11e39d45053eed13
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:40 +0200

    genesys: Reflow sensor tables to take less space

commit b2ebbba41a8455d0237c42fe34b30e5447f5e18f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-15 14:12:39 +0200

    genesys: Move host-side calibration setting to the sensor

commit d72e07c6714c8648f995ea67c413eef13d87a4d4
Merge: 60dc64f8f861 294db2a6166e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-14 18:16:23 +0000

    Merge branch 'genesys-host-side-calibration' into 'master'

    genesys: Fix host side calibration

    See merge request sane-project/backends!334

commit 294db2a6166e096eca2bb979e175fae013986f70
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-10 06:28:36 +0200

    genesys: Fix host-side calibration when calibration data is shifted

commit 7f454b3e0eb683e815ed28a391f55307e74715a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-10 06:28:35 +0200

    genesys: Observe DISABLE_SHADING flag during host-side calibration

commit 60dc64f8f861ec400f2bb816a0df6b753a9dde06
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-02-13 18:41:18 +0100

    pixma: backend version 0.27.1

commit 7f2f54bddce0e870434e6732dd348fb6ec310869
Merge: 06cd16a0ea1d c3d58edb08c8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-02-13 18:28:14 +0100

    Merge branch '242-canon-mb-5150'

    Closes #242

commit c3d58edb08c860dc64e398ff6f921d66fa25e67b
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-02-13 18:27:04 +0100

    pixma: Canon MAXIFY MB5100 Series sends ADF scans as JPEG image

commit 06cd16a0ea1de45aa7055cb60e9ff650792a65ac
Merge: 36f068a0ced4 f650f470b260
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-12 11:27:41 +0000

    Merge branch 'escl-crop-fix' into 'master'

    Fix convert size.

    See merge request sane-project/backends!332

commit f650f470b260d129a2ac0449f077bf900847da51
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-02-12 12:12:15 +0100

    Replacing roundl by round.

commit 87ff6c494a4e4ef25758b1bee370d14be8ddb2e6
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-02-12 11:51:02 +0100

    Fix convert size.

commit 36f068a0ced483d78e9a59d0c8c27226e6782eb2
Merge: 3508f3208fc7 4466d5192497
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-11 07:38:28 +0000

    Merge branch 'escl-page-crop' into 'master'

    Escl page crop

    Closes #230

    See merge request sane-project/backends!316

commit 4466d51924975c3f34f2fee5f02419db24d63d5a
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-02-11 08:22:43 +0100

    Fixed variable name.

commit 23cd9f5d6104c22cbd254445618bc627f6e16ba3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-11 01:45:11 +0000

    Apply suggestion to backend/escl/escl_jpeg.c

commit dd4fb84de81bcfe0caf570958ee1d04ee63484ab
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-11 01:45:08 +0000

    Apply suggestion to backend/escl/escl.c

commit a771be0c6a1f11a1263f466be2ca4fb2749dc9a2
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-02-10 08:45:38 +0000

    Apply suggestion to backend/escl/escl_png.c

commit bae9f0a3d3bc83928e95e0cf5abb7c63b9552e75
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-02-10 08:45:21 +0000

    Apply suggestion to backend/escl/escl.h

commit c3adeed4c46b30ce1f8185ee600ebb7b68b29d0f
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-02-09 09:36:16 +0100

    Fix style.

commit 6a9a0beee89e80bb5fb13cfc7177354a16c061f2
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-02-09 09:30:43 +0100

    Clarification and factoring of the code

commit af6f6d46559efc0ebdc017d485573449a5d6347b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-02-08 22:36:49 +0100

    Clarification of variable names.

commit 7ea6af06243c307660138c3e01fde85dd7d32297
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-02-08 22:16:16 +0100

    Replacing unit conversion functions with macros.

commit 0ca9390279415d9da084a1bae3e39d96f84c4f6f
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-31 18:32:32 +0100

    Fix style.

commit 5298b0e0186eb74f16996fa962271f0b6c91e54d
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-31 18:28:04 +0100

    Setting up the cut-out of the received image.

commit d42521dfd4875f54b089b60de2866146a03d0a9b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-31 17:42:52 +0100

    Geometry correction and use of the milimeter as a unit of measurement.

commit 8c15724b432d6b60c30de04cf9ad8fa825f3b7da
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-31 17:19:42 +0100

    Added milimeter-to-pixel and pixel-to-milimeter conversion function.

commit 58df3795ee7f6504b65e7fac35c5fe5a6d53e1ec
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-27 20:47:56 +0100

    Fix geometry.

commit 3508f3208fc7597c1dbd49f0e610336bcb3eb1bb
Merge: 336cbdfd4ca4 e1934720c687
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-10 07:42:52 +0000

    Merge branch 'fix_genesys_bigendian' into 'master'

    genesys: fix bigendian build

    Closes #238

    See merge request sane-project/backends!329

commit e1934720c687ed8c6125c75ac658f55b4e1513ce
Author: Luiz Angelo Daros de Luca <luizluca@gmail.com>
Date:   2020-02-02 21:19:15 -0300

    genesys: fix bigendian build

    Signed-off-by: Luiz Angelo Daros de Luca <luizluca@gmail.com>

commit 336cbdfd4ca408ef0d8935608a044cad64696c51
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-02-07 21:06:50 -0500

    fujitsu backend v136

    - add support for fi-800R
    - add support for card scanning slot (Return Path)
    - fix bug with reading hardware sensors on first invocation

commit 03ca64a88598d5e286a5557907762fcb51886bd8
Merge: f7c01360cbb0 7415a9f5c97a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-06 12:14:13 +0000

    Merge branch '239-1-0-29-common_libs-in-libsane-la-dependencies-causes-potential-make-error' into 'master'

    Really remove libxml2 linker/loader flags from dependencies.  Re #239

    Closes #239

    See merge request sane-project/backends!331

commit 7415a9f5c97acc655dae357dbffe7ff6b69ef82d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-06 20:56:21 +0900

    Really remove libxml2 linker/loader flags from dependencies.  Re #239

commit f7c01360cbb04d5e704c1c7a217dddd312e61919
Merge: 20be9af3d7f3 17d760a5f848
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-05 12:48:20 +0000

    Merge branch '239-1-0-29-common_libs-in-libsane-la-dependencies-causes-potential-make-error' into 'master'

    Remove libxml2 linker/loader flags from dependencies.  Re #239

    Closes #239

    See merge request sane-project/backends!330

commit 17d760a5f848f4034fbaa19657567fae52f8c150
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-05 21:30:11 +0900

    Remove libxml2 linker/loader flags from dependencies.  Re #239

commit 20be9af3d7f3a6b0ca577ff6701b51f1f8accdd4
Merge: afa1c5440880 dc082d9066d1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 23:16:29 +0000

    Merge branch 'genesys-cleanup-calibration-regs' into 'master'

    genesys: Cleanup data used for calibration

    See merge request sane-project/backends!328

commit dc082d9066d1142ae0cdd69d1cd9e495a5e9d9c5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:06 +0200

    genesys: Add a note about calibration size calculation

commit 9a142d6acc3de2bf160e7cde44046ae49d283020
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:05 +0200

    genesys: Remove uses of calib_total_bytes_to_read

commit 328f39e39e6b40d0bcdaa28371ebb13b5113dcea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:04 +0200

    genesys: Remove uses of calib_lines

commit 53d51a6537c1dd4005a1596d08e0de7b1a5b7746
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:03 +0200

    genesys: Fix wrong line count computation on gl646

    It actually does not matter, because we overwrite LINCNT below anyway
    and don't use any information affected by this variable when computing
    how much data to retrieve.

commit 26eec0ba574ef66f6283d3f0a1d82ff4f1cc9fd1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:02 +0200

    genesys: Remove uses of calib_channels

commit 9ddc64826c014638cd3422441c0e70431bf90fa8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:01 +0200

    genesys: Remove uses of calib_resolution

commit 10fb42cd68eddd928a38d576258135db89ca08e8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:42:00 +0200

    genesys: Use calib_session to retrieve pixel counts

commit 87b27136289ecf117d67475d1163ae294ce2bd28
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:59 +0200

    genesys: Implement serialization of ScanSession

commit fe02dc36d8d231d9764693284626862d5460ff93
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:58 +0200

    genesys: Implement comparison of ScanSession

commit 9b1fe59c2a7efa5520b379714c0483757f65a30e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:57 +0200

    genesys: Set calib_session on all chipsets

commit 3b27241e0740959bdbebab2399ff47685801b617
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:56 +0200

    genesys: Remove no longer needed conversions to single precision float

commit 325aba25f1f7b30bc3f4a05e78b914b778851c39
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:55 +0200

    genesys: Use float to store tl_x and tl_y scan settings

commit 0a49fa10ee1fa490432b016cabbf8f428aaeff1d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:54 +0200

    genesys: Extract register initialization out of init_regs_for_shading()

commit c1791e6c839a61abc7d3ef803872f81440b408ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:53 +0200

    genesys: Pass the register set to modify to init_regs_for_scan()

commit 5fb5da4f788630ae44ab91741c137b9c93307ff7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:52 +0200

    genesys: Remove duplicate way to check for transparency support

commit 4cfc150bdcb8d0206ae822622ae00f550c72f9e5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-03 00:41:51 +0200

    genesys: Add a way to check whether a model supports scan method

commit afa1c54408806480893643f1a85b777cd3232ba8
Merge: 34c15b47d9fd cce5e21829b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 17:01:26 +0000

    Merge branch 'genesys-cleanup-calibration-regs' into 'master'

    genesys: Cleanup register data that is used during calibration

    See merge request sane-project/backends!327

commit cce5e21829b1efbfdc22c2357ec9bf4927620c77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:32 +0200

    genesys: Remove several unnecessary initializations of dev->initial_regs

commit 32041bc7fedb64a031e3e75c01c9edd9aa94fda4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:31 +0200

    genesys: Rename calib_reg to initial_regs

commit 16e8ca35119963846dda94ae0cf13636aa337a60
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:30 +0200

    genesys: Don't modify calib_reg when calibrating

commit 86fe2f5f6d32bf78a9242ecae5733dcd9e83c600
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:29 +0200

    genesys: Move modification of calib_reg out of shading reg init on gl646

commit 87473910cf85c638b9efafd027990ec956d3d0bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:28 +0200

    genesys: Use regular registers when computing what coefficient to send

commit 8e4c332ea69fdb674ebf371f4fe274645de2d6ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:27 +0200

    genesys: Pass registers from callers to shading calibration

commit 2a3ae40d8ddc4003508034a10a32f8de0925fd1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:26 +0200

    genesys: Pass registers from callers to dark-white shading calibration

commit 25f097b44597c920535bb333259acdd231e96748
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:25 +0200

    genesys: Pass registers from callers in coarse calibration

commit d80db65c5864f5eccc8baecd0780c507b23df7c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:24 +0200

    genesys: Move writing to registers to coarse calibration functions

commit b1b57026ddaf8a04a68590c6f745cad1463d21c5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:23 +0200

    genesys: Move writing to registers to calibration functions

commit dff52ad7136c5d5f1e83f888d660820fbff85b94
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:22 +0200

    genesys: Don't write registers in init_regs_for_warmup()

commit 55e32001583ddee2da0a911dfe2ecd1a593fcc91
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:21 +0200

    genesys: Don't write registers in init_regs_for_coarse_calibration()

commit bdc671b58be6a74e944d9c88119f25f3c381682a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 18:45:20 +0200

    genesys: Don't perform register writes in init_regs_for_shading()

commit 34c15b47d9fd839a5334665a869bc0944a073534
Merge: 03d50b5e64fd 9fc3b38a9b0e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:38:19 +0000

    Merge branch 'genesys-use-float-for-fixed' into 'master'

    genesys: Use float precision for data that was previously saved in fixed format

    See merge request sane-project/backends!326

commit 9fc3b38a9b0e92e5e74bd3b49c292f231c9e14c3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 15:23:21 +0200

    genesys: Use fixed float utilities instead of SANE_{FIX,UNFIX}

commit 7ee775e983911577b74a64db40809933284e44f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 15:23:20 +0200

    genesys: Remove the FixedFloat class

commit 62c6959df4b6834e98a86b8c7085ffd0b7081ef6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 15:23:19 +0200

    genesys: Add utilities for fixed floats

commit 03d50b5e64fd781540ac259649d312bd179e8cae
Merge: f913ed58b688 e59401ed6b92
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 12:25:16 +0000

    Merge branch 'genesys-model-flag-enum' into 'master'

    genesys: Move model flags to separate enum

    See merge request sane-project/backends!325

commit e59401ed6b923ebb16123d3da5cd4f696582bdd1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 14:08:52 +0200

    genesys: Move model flags to a separate enum

commit de10ace2e6b0d635ed56b9213dfe17586835576a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 14:08:51 +0200

    genesys: Remove invalid usage of GENESYS_HAS_NO_BUTTONS

commit 1c3d1e25ecc763e011819a72c3370c089d5f8010
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 14:08:50 +0200

    genesys: Remove unused model flags

commit f913ed58b6882aabbf87f1893b74cf90b26029a2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-02 21:11:31 +0900

    escl: Remove :new marker from backend's description file

commit 5e5cdad7dd611faf39d50301bd614fa68e1bc4c9
Merge: 9e9bbb5a802c e52a5bf71979
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-02 21:06:46 +0900

    Merge branch 'release/1.0.29'

commit 9e9bbb5a802ca2a078e4d84c50dd7414e85138b8
Merge: 3d0a626944f3 fee5b7e04f54
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 11:29:04 +0000

    Merge branch 'genesys-improve-debug' into 'master'

    genesys: Improve debug output slightly

    See merge request sane-project/backends!324

commit fee5b7e04f54b650a9e774ccbb84f2192e46bc4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:11:49 +0200

    genesys: Condense SetupParams debug dump output

commit 9d7f7abdcd009fcc108a4e7523461cb62a9cb19d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:11:48 +0200

    genesys: Remove extraneous debugging information

commit 3d0a626944f3b818ef055bf5c4b0779eff19c420
Merge: 12e113ab5225 9d1788cf5d82
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 11:25:16 +0000

    Merge branch 'genesys-fix-active-area-calib' into 'master'

    genesys: Fix issues in active area calibration

    See merge request sane-project/backends!323

commit 9d1788cf5d821b3d05cbf2f060648381c76788ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:08:50 +0200

    genesys: Fix loss of precision in during active area offset calibration

commit 91d9d8b2dcad6171ac5f258181b4c6f95696523d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:08:49 +0200

    genesys: Fix incorrect resolution being used in active area calibration

commit 6bbdb7afc8a24dbab33189549fb5c8a9c5cc2b53
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-02 13:08:48 +0200

    genesys: Extract function to enable active area shading

commit 12e113ab52254ebbf86eab4902df798e67545967
Merge: 07e3d5d4d6f6 6e2e885ec564
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 21:43:09 +0000

    Merge branch 'genesys-motor-fixes' into 'master'

    genesys: Motor table fixes

    See merge request sane-project/backends!322

commit 6e2e885ec564ada7cb5295d9e7bbafe1a88ed4f5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 23:28:24 +0200

    genesys: Use same step type in motor tables on 8600F

commit 06cee81dbe7d65f9a399aef19a0d92bb0d51b11c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 23:28:23 +0200

    genesys: Fix incorrect selection of step type for fast table on gl843

commit 07e3d5d4d6f69cf63209bdb705253d42fea1e4b9
Merge: 50788b382739 ac5e086eb7c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 15:13:57 +0000

    Merge branch 'genesys-improve-motor-tables' into 'master'

    genesys: Improve motor tables on 8400F

    See merge request sane-project/backends!320

commit ac5e086eb7c73954f05bfc5d781d9def6bdc06f1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 16:57:12 +0200

    genesys: Improve motor tables on 8400F

commit 50788b382739eb0403b5c7aea11fa265ef896c36
Merge: 6f9a3cfa2cde d19e48d5ab7d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 12:47:38 +0000

    Merge branch 'genesys-improve-motor-tables' into 'master'

    genesys: Improve motor tables

    See merge request sane-project/backends!319

commit d19e48d5ab7df65aaa829ebb1fd4c103d874072f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 14:23:04 +0200

    genesys: Improve motor tables on OpticFilm 7500i

commit f3f0143500eb1ed9da5d08697a552aaa401f01e4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 14:23:03 +0200

    genesys: Improve motor tables on OpticFilm 7300

commit 8b3b85c160a762b6f05ed5a4c75e5534f740502f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 14:23:02 +0200

    genesys: Improve motor tables on OpticFilm 7200i

commit 0b75ffdf367695bc28cbf2e474adf23d0973f05c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 14:23:01 +0200

    genesys: Improve motor tables on 8400F

commit 6d15a0da5a65a1d9729b8a992e58831144edb256
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-02-01 14:23:00 +0200

    genesys: Improve motor tables on 8600F

commit 6f9a3cfa2cde00fe35c3ea99d272aa48e1d24636
Merge: 26e3d6c1f37f a5d63baf3d19
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 22:58:52 +0000

    Merge branch 'genesys-improve-motor-support' into 'master'

    genesys: Improve motor support

    See merge request sane-project/backends!318

commit a5d63baf3d194ceac6cc882acbe127f832204a0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:18 +0200

    genesys: Implement support for fast movement curves in the motor table

commit 91d5235d4b38ebde70eb43eb0a8d431c7e35a640
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:17 +0200

    genesys: Make get_motor_profile* reusable for different profile sets

commit 247a6b7882d03df19fa0c9b376a5b9f2a0e5e2fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:16 +0200

    genesys: Add support for per-resolution or per-method motor profiles

commit 479718a6b5543c4cc15ba6b46611e830019312e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:15 +0200

    genesys: Add motor vref to motor profiles

commit 002d2ff2db43291a3435ff6356baac394a4cac08
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:14 +0200

    genesys: Use motor profiles from motor tables

commit e5e8ea3d3f7d32fb6507d9e6171c2953eab9a9f9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:13 +0200

    genesys: Add motor profile information to motors table

commit 879587f303334e4fb334b8f45b297490de203482
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:12 +0200

    genesys: Rename Genesys_Motor::{get_slope -> get_slope_with_step_type}

commit 7dca191b14d7660545e8c37f3c0228362ccda130
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:11 +0200

    genesys: Merge chip-specific motor tables into one

commit 2d0fc3ce5543dc4ba36ba08c021353bcf519dc39
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 20:13:10 +0200

    genesys: Don't rely on motor profile fallbacks

commit 26e3d6c1f37f50a023b838d31b929b8c22a32892
Merge: 1942c5fd32a7 0a7813177bb7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-31 22:32:04 +0000

    Merge branch 'genesys-reduce-duplication' into 'master'

    genesys: Reduce duplication in session setup code

    See merge request sane-project/backends!317

commit 0a7813177bb7ec5753900820c473591246e26523
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:30 +0200

    genesys: Reduce code duplication in gl841 session setup code

commit 374578abce229f742040eddedaf0ddb6870ad4ab
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:29 +0200

    genesys: Reduce code duplication in gl843 session setup code

commit 1942c5fd32a7623351e4f73dc7590854debe4698
Merge: e820ed0f6cee 76726491d901
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-26 10:56:34 +0000

    Merge branch 'escl-simple-scan' into 'master'

    Displays SSL if the device uses https.

    Closes #229

    See merge request sane-project/backends!313

commit 76726491d901ca0e789cdd52d3b95ac89821281b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-26 10:16:06 +0100

    Billing for cleaning.

commit bb5b109560794296ab8c2dc46215910fa425908d
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-26 08:28:19 +0100

    Fix memory leak.

commit bb9c4ead76a08fb99cc64aa8d18849c00846575e
Merge: 70ae518fc621 e820ed0f6cee
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-25 17:32:10 +0100

    Merge remote-tracking branch 'origin/master' into escl-simple-scan

commit e820ed0f6ceeb49d3064e7e0a5afd26cca14eeac
Merge: 5747ffa9fb91 99fde7b12ee0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 13:27:10 +0000

    Merge branch 'genesys-bugs' into 'master'

    genesys: Fix various bugs on 8400F and 8600F

    See merge request sane-project/backends!314

commit 99fde7b12ee0d7c8c80f7a1aa559ba410d59a9d2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:12 +0200

    genesys: Slightly tweak X TA offset on 8600F

commit 0c84e1951a01a69614eaf886163ea47585f44f6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:11 +0200

    genesys: Fix incorrect X TA offset on 8600F

commit 9c10d59ce81816c843d89b194bac5b852f8e9157
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:10 +0200

    genesys: Fix 3200 dpi flatbed support on 8400F

commit b9a4054775cd32ef294480dfc0b6f106f55b1dac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:09 +0200

    genesys: Fix sensor tables on 8400F

commit 15bbc3d0b30b278a817e870bf6ee2674a8fa7726
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:08 +0200

    genesys: Rewrap sensor settings for 8400F

commit 0abb83ead4a146581f861bab3a2800be639f74fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:07 +0200

    genesys: Fix incorrect number of sensor pixels on 8400F

commit 75b2bd6445ab75fb693902cb9b44f8ebc8a7e041
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:06 +0200

    genesys: Fix incorrect calculation of X offsets on 8400F

commit 8532e6319411ed6f9a72162f1686538102791386
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:05 +0200

    genesys: Fix incorrect calculation of X offsets on 8600F

commit 1748e625f0ccfe8f846ade83493a2973a1b3ca52
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-25 11:28:04 +0200

    genesys: Fix recovery from interrupted transparency scans on 8600F

commit 70ae518fc621b7fa72c27919d199cc71c6af7a18
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-23 13:02:38 +0100

    Fix break build.

commit a0845a83222cf867d367915f6a5a150298cd3a33
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-23 12:20:48 +0100

    Verify allocation and add debug.

commit 51b9883603d8196ee189a7e8c66351062fbaff11
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-23 08:53:19 +0100

    Displays SSL if the device uses https.

commit 5747ffa9fb914b88c469a7c1d6d5357f85a94577
Author: Gerhard Jäger <gja@sysgo.com>
Date:   2020-01-13 09:38:30 +0100

    Issue#113: Fix applied (thanks David Binderman).

commit 8d07515bea266994e03aedeb4f770c9bd8e1a52c
Merge: 6be33accf284 c5f397e778b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 19:26:35 +0000

    Merge branch 'genesys-refactor-motor-handling' into 'master'

    genesys: Refactor motor handling

    See merge request sane-project/backends!308

commit c5f397e778b6eeae3cabf202a67d3918710191f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:11 +0200

    genesys: Extract handle_motor_position_after_hove_back_home_ta()

commit e8e56e33d30394db30e04d2d267e3f461b2c0021
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:10 +0200

    genesys: Make XPA motor mode handling more generic

commit 23f3f80e3843549174cb01e19963687eb977db95
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:09 +0200

    genesys: Remove duplicate head position reset

commit 645820bc4d3bf7e4e33ece892f607c2ad8db99b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:08 +0200

    genesys: Improve set_head_pos_unknown() to set status per head

commit a676810f5da18f077ec533221387f0bc391ae1d1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:07 +0200

    genesys: Implement function to apply settings with backup

commit 05978e1c8b84d384852fd80f0e68bfe04a11a760
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:06 +0200

    genesys: Move *_set_xpa_lamp_power() to common command set

commit cbb3d98e838224a970a33775e8f97d0c271086fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:05 +0200

    genesys: Move *_set_xpa_motor_power() to common command set

commit 3753716e04e5d339df70a444cc7891506b9f19eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:04 +0200

    genesys: Add a class to move common command set functions to

commit 8b129b32ff1117bd08e8d7278376bd0411ae2d40
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 10:57:03 +0200

    genesys: Simplify handling of xpa motor state on gl843

commit 6be33accf284e1aca1c0f5abbd946df57a91f4ff
Merge: 7b45c89b023d 45952fdd69b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-12 19:16:57 +0000

    Merge branch 'genesys-refactor-scanner-read' into 'master'

    genesys: Refactor data reading from scanner

    See merge request sane-project/backends!307

commit 45952fdd69b698e2674ddb7bae375c88f8e36a0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:29 +0200

    genesys: Reduce duplication of scanner read methods on gl847

commit 8bd8174cc9c030ad835f8025f80b25595b90f843
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:28 +0200

    genesys: Reduce duplication of scanner read methods on gl846

commit d74c4b6b6830f183413650a34c010cc08829c1f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:27 +0200

    genesys: Reduce duplication of scanner read methods on gl841

commit 67d3c134a9ce465571866b7223a3fb1949c5f09f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:26 +0200

    genesys: Reduce duplication of scanner read methods on gl124

commit c39cb0d4b99591bf71de8c3a77d218642cdffac1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:25 +0200

    genesys: Fix definition of session's output_segment_pixel_group_count

commit 2269e05facaf07abeb00a5f59c3a31b4abdd9d2f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:24 +0200

    genesys: Fix pipeline setup in read_unshuffled_image_from_scanner()

commit 8d2081cda8eeb28eaeb04d25306b5aa4f192ec79
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:23 +0200

    genesys: Deduplicate calculation of scan line count

commit b5b50758f5583396a635366fcf421fb7d35469df
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:22 +0200

    genesys: Remove out of date note

commit eb45a1b709c9dcfbd4270ece7c628a81eb33df74
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:21 +0200

    genesys: Handle segmented sensors in read_unshuffled_image_from_scanner

commit 444f25b96fc0953a82c539e40dd860f44202ec2b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-04 12:09:20 +0200

    genesys: Remove duplicate computations of line length
